/*
 * Qcint is a general GTO integral library for computational chemistry
 * Copyright (C) 2014- Qiming Sun <osirpt.sun@gmail.com>
 *
 * This file is part of Qcint.
 *
 * Qcint is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Description: code generated by  gen-code.cl
 */
#include <stdlib.h>
#include <stdio.h>
#include "cint_bas.h"
#include "simd.h"
#include "cart2sph.h"
#include "g1e.h"
#include "g1e_grids.h"
#include "g2e.h"
#include "optimizer.h"
#include "cint1e.h"
#include "cint2e.h"
#include "misc.h"
#include "c2f.h"
/* <k SIGMA DOT P i|R12 |SIGMA DOT P j l> : i,j \in electron 1; k,l \in electron 2
 * = (SIGMA DOT P i SIGMA DOT P j|R12 |k l) */
void CINTgout2e_int2e_spsp1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 4;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_J(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
break;
case 2:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
break;
case 3:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
break;
case 4:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g3+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g3+(iz+3)*SIMDD);
break;
default:
for (i = 0; i < 9; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
} break;}
r1 = + rs[5] - rs[7]; GOUT_SCATTER(gout, n*4+0, r1);
r1 = + rs[6] - rs[2]; GOUT_SCATTER(gout, n*4+1, r1);
r1 = + rs[1] - rs[3]; GOUT_SCATTER(gout, n*4+2, r1);
r1 = + rs[0] + rs[4] + rs[8]; GOUT_SCATTER(gout, n*4+3, r1);
}}
void CINTgout2e_int2e_spsp1_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_J_SIMD1(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 9; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g3[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g2[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g2[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g1[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g0[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g0[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g1[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g0[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g0[ix+i] * g0[iy+i] * g3[iz+i];
}
gout[n*4+0] = + s[5] - s[7];
gout[n*4+1] = + s[6] - s[2];
gout[n*4+2] = + s[1] - s[3];
gout[n*4+3] = + s[0] + s[4] + s[8];
}}
void int2e_spsp1_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_spsp1_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spsp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_spsp1_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_spsp1_cart
CACHE_SIZE_T int2e_spsp1_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spsp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_spsp1_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_spsp1_sph
CACHE_SIZE_T int2e_spsp1_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spsp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_spsp1_simd1;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1, &c2s_sf_2e2);
} // int2e_spsp1_spinor
ALL_CINT(int2e_spsp1)
//ALL_CINT_FORTRAN_(cint2e_spsp1)
/* <SIGMA DOT P k SIGMA DOT P i|R12 |SIGMA DOT P j SIGMA DOT P l> : i,j \in electron 1; k,l \in electron 2
 * = (SIGMA DOT P i SIGMA DOT P j|R12 |SIGMA DOT P k SIGMA DOT P l) */
void CINTgout2e_int2e_spsp1spsp2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 16;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_D_L(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g15+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[27] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[28] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[29] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[30] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[31] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[32] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[33] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[34] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[35] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[36] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[37] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[38] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[39] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[40] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g15+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[41] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[42] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[43] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[44] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[45] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[46] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[47] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[48] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[49] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[50] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[51] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[52] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[53] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[54] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[55] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[56] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[57] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[58] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[59] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[60] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[61] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[62] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[63] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[64] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[65] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[66] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[67] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[68] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[69] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[70] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[71] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[72] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[73] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[74] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[75] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[76] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[77] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[78] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[79] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[80] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g15+(iz+i)*SIMDD);
}
r1 = + rs[50] - rs[68] - rs[52] + rs[70]; GOUT_SCATTER(gout, n*16+0, r1);
r1 = + rs[59] - rs[23] - rs[61] + rs[25]; GOUT_SCATTER(gout, n*16+1, r1);
r1 = + rs[14] - rs[32] - rs[16] + rs[34]; GOUT_SCATTER(gout, n*16+2, r1);
r1 = + rs[5] + rs[41] + rs[77] - rs[7] - rs[43] - rs[79]; GOUT_SCATTER(gout, n*16+3, r1);
r1 = + rs[51] - rs[69] - rs[47] + rs[65]; GOUT_SCATTER(gout, n*16+4, r1);
r1 = + rs[60] - rs[24] - rs[56] + rs[20]; GOUT_SCATTER(gout, n*16+5, r1);
r1 = + rs[15] - rs[33] - rs[11] + rs[29]; GOUT_SCATTER(gout, n*16+6, r1);
r1 = + rs[6] + rs[42] + rs[78] - rs[2] - rs[38] - rs[74]; GOUT_SCATTER(gout, n*16+7, r1);
r1 = + rs[46] - rs[64] - rs[48] + rs[66]; GOUT_SCATTER(gout, n*16+8, r1);
r1 = + rs[55] - rs[19] - rs[57] + rs[21]; GOUT_SCATTER(gout, n*16+9, r1);
r1 = + rs[10] - rs[28] - rs[12] + rs[30]; GOUT_SCATTER(gout, n*16+10, r1);
r1 = + rs[1] + rs[37] + rs[73] - rs[3] - rs[39] - rs[75]; GOUT_SCATTER(gout, n*16+11, r1);
r1 = + rs[45] - rs[63] + rs[49] - rs[67] + rs[53] - rs[71]; GOUT_SCATTER(gout, n*16+12, r1);
r1 = + rs[54] - rs[18] + rs[58] - rs[22] + rs[62] - rs[26]; GOUT_SCATTER(gout, n*16+13, r1);
r1 = + rs[9] - rs[27] + rs[13] - rs[31] + rs[17] - rs[35]; GOUT_SCATTER(gout, n*16+14, r1);
r1 = + rs[0] + rs[36] + rs[72] + rs[4] + rs[40] + rs[76] + rs[8] + rs[44] + rs[80]; GOUT_SCATTER(gout, n*16+15, r1);
}}
void CINTgout2e_int2e_spsp1spsp2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_D_L_SIMD1(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K_SIMD1(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K_SIMD1(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J_SIMD1(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g15[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g14[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g14[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g13[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g12[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g12[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g13[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g12[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g12[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g11[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g10[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g10[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g9[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g8[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g8[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g9[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g8[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g8[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g11[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g10[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g10[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g9[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g8[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g8[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g9[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g8[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g8[ix+i] * g0[iy+i] * g7[iz+i];
s[27] += g7[ix+i] * g8[iy+i] * g0[iz+i];
s[28] += g6[ix+i] * g9[iy+i] * g0[iz+i];
s[29] += g6[ix+i] * g8[iy+i] * g1[iz+i];
s[30] += g5[ix+i] * g10[iy+i] * g0[iz+i];
s[31] += g4[ix+i] * g11[iy+i] * g0[iz+i];
s[32] += g4[ix+i] * g10[iy+i] * g1[iz+i];
s[33] += g5[ix+i] * g8[iy+i] * g2[iz+i];
s[34] += g4[ix+i] * g9[iy+i] * g2[iz+i];
s[35] += g4[ix+i] * g8[iy+i] * g3[iz+i];
s[36] += g3[ix+i] * g12[iy+i] * g0[iz+i];
s[37] += g2[ix+i] * g13[iy+i] * g0[iz+i];
s[38] += g2[ix+i] * g12[iy+i] * g1[iz+i];
s[39] += g1[ix+i] * g14[iy+i] * g0[iz+i];
s[40] += g0[ix+i] * g15[iy+i] * g0[iz+i];
s[41] += g0[ix+i] * g14[iy+i] * g1[iz+i];
s[42] += g1[ix+i] * g12[iy+i] * g2[iz+i];
s[43] += g0[ix+i] * g13[iy+i] * g2[iz+i];
s[44] += g0[ix+i] * g12[iy+i] * g3[iz+i];
s[45] += g3[ix+i] * g8[iy+i] * g4[iz+i];
s[46] += g2[ix+i] * g9[iy+i] * g4[iz+i];
s[47] += g2[ix+i] * g8[iy+i] * g5[iz+i];
s[48] += g1[ix+i] * g10[iy+i] * g4[iz+i];
s[49] += g0[ix+i] * g11[iy+i] * g4[iz+i];
s[50] += g0[ix+i] * g10[iy+i] * g5[iz+i];
s[51] += g1[ix+i] * g8[iy+i] * g6[iz+i];
s[52] += g0[ix+i] * g9[iy+i] * g6[iz+i];
s[53] += g0[ix+i] * g8[iy+i] * g7[iz+i];
s[54] += g7[ix+i] * g0[iy+i] * g8[iz+i];
s[55] += g6[ix+i] * g1[iy+i] * g8[iz+i];
s[56] += g6[ix+i] * g0[iy+i] * g9[iz+i];
s[57] += g5[ix+i] * g2[iy+i] * g8[iz+i];
s[58] += g4[ix+i] * g3[iy+i] * g8[iz+i];
s[59] += g4[ix+i] * g2[iy+i] * g9[iz+i];
s[60] += g5[ix+i] * g0[iy+i] * g10[iz+i];
s[61] += g4[ix+i] * g1[iy+i] * g10[iz+i];
s[62] += g4[ix+i] * g0[iy+i] * g11[iz+i];
s[63] += g3[ix+i] * g4[iy+i] * g8[iz+i];
s[64] += g2[ix+i] * g5[iy+i] * g8[iz+i];
s[65] += g2[ix+i] * g4[iy+i] * g9[iz+i];
s[66] += g1[ix+i] * g6[iy+i] * g8[iz+i];
s[67] += g0[ix+i] * g7[iy+i] * g8[iz+i];
s[68] += g0[ix+i] * g6[iy+i] * g9[iz+i];
s[69] += g1[ix+i] * g4[iy+i] * g10[iz+i];
s[70] += g0[ix+i] * g5[iy+i] * g10[iz+i];
s[71] += g0[ix+i] * g4[iy+i] * g11[iz+i];
s[72] += g3[ix+i] * g0[iy+i] * g12[iz+i];
s[73] += g2[ix+i] * g1[iy+i] * g12[iz+i];
s[74] += g2[ix+i] * g0[iy+i] * g13[iz+i];
s[75] += g1[ix+i] * g2[iy+i] * g12[iz+i];
s[76] += g0[ix+i] * g3[iy+i] * g12[iz+i];
s[77] += g0[ix+i] * g2[iy+i] * g13[iz+i];
s[78] += g1[ix+i] * g0[iy+i] * g14[iz+i];
s[79] += g0[ix+i] * g1[iy+i] * g14[iz+i];
s[80] += g0[ix+i] * g0[iy+i] * g15[iz+i];
}
gout[n*16+0] = + s[50] - s[68] - s[52] + s[70];
gout[n*16+1] = + s[59] - s[23] - s[61] + s[25];
gout[n*16+2] = + s[14] - s[32] - s[16] + s[34];
gout[n*16+3] = + s[5] + s[41] + s[77] - s[7] - s[43] - s[79];
gout[n*16+4] = + s[51] - s[69] - s[47] + s[65];
gout[n*16+5] = + s[60] - s[24] - s[56] + s[20];
gout[n*16+6] = + s[15] - s[33] - s[11] + s[29];
gout[n*16+7] = + s[6] + s[42] + s[78] - s[2] - s[38] - s[74];
gout[n*16+8] = + s[46] - s[64] - s[48] + s[66];
gout[n*16+9] = + s[55] - s[19] - s[57] + s[21];
gout[n*16+10] = + s[10] - s[28] - s[12] + s[30];
gout[n*16+11] = + s[1] + s[37] + s[73] - s[3] - s[39] - s[75];
gout[n*16+12] = + s[45] - s[63] + s[49] - s[67] + s[53] - s[71];
gout[n*16+13] = + s[54] - s[18] + s[58] - s[22] + s[62] - s[26];
gout[n*16+14] = + s[9] - s[27] + s[13] - s[31] + s[17] - s[35];
gout[n*16+15] = + s[0] + s[36] + s[72] + s[4] + s[40] + s[76] + s[8] + s[44] + s[80];
}}
void int2e_spsp1spsp2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_spsp1spsp2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spsp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_spsp1spsp2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_spsp1spsp2_cart
CACHE_SIZE_T int2e_spsp1spsp2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spsp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_spsp1spsp2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_spsp1spsp2_sph
CACHE_SIZE_T int2e_spsp1spsp2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spsp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_spsp1spsp2_simd1;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1, &c2s_si_2e2);
} // int2e_spsp1spsp2_spinor
ALL_CINT(int2e_spsp1spsp2)
//ALL_CINT_FORTRAN_(cint2e_spsp1spsp2)
/* <k SIGMA DOT R i|R12 |SIGMA DOT R j l> : i,j \in electron 1; k,l \in electron 2
 * = (SIGMA DOT R i SIGMA DOT R j|R12 |k l) */
void CINTgout2e_int2e_srsr1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 4;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_R_J(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
break;
case 2:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
break;
case 3:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
break;
case 4:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g3+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g3+(iz+3)*SIMDD);
break;
default:
for (i = 0; i < 9; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
} break;}
r1 = + rs[5] - rs[7]; GOUT_SCATTER(gout, n*4+0, r1);
r1 = + rs[6] - rs[2]; GOUT_SCATTER(gout, n*4+1, r1);
r1 = + rs[1] - rs[3]; GOUT_SCATTER(gout, n*4+2, r1);
r1 = + rs[0] + rs[4] + rs[8]; GOUT_SCATTER(gout, n*4+3, r1);
}}
void CINTgout2e_int2e_srsr1_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_R_J_SIMD1(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 9; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g3[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g2[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g2[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g1[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g0[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g0[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g1[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g0[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g0[ix+i] * g0[iy+i] * g3[iz+i];
}
gout[n*4+0] = + s[5] - s[7];
gout[n*4+1] = + s[6] - s[2];
gout[n*4+2] = + s[1] - s[3];
gout[n*4+3] = + s[0] + s[4] + s[8];
}}
void int2e_srsr1_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_srsr1_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_srsr1;
envs.f_gout_simd1 = &CINTgout2e_int2e_srsr1_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_srsr1_cart
CACHE_SIZE_T int2e_srsr1_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_srsr1;
envs.f_gout_simd1 = &CINTgout2e_int2e_srsr1_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_srsr1_sph
CACHE_SIZE_T int2e_srsr1_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_srsr1;
envs.f_gout_simd1 = &CINTgout2e_int2e_srsr1_simd1;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1, &c2s_sf_2e2);
} // int2e_srsr1_spinor
ALL_CINT(int2e_srsr1)
//ALL_CINT_FORTRAN_(cint2e_srsr1)
/* <SIGMA DOT R k SIGMA DOT R i|R12 |SIGMA DOT R j SIGMA DOT R l> : i,j \in electron 1; k,l \in electron 2
 * = (SIGMA DOT R i SIGMA DOT R j|R12 |SIGMA DOT R k SIGMA DOT R l) */
void CINTgout2e_int2e_srsr1srsr2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 16;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_R_L(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_R_K(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_R_K(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_R_J(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_J(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_J(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_J(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g15+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[27] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[28] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[29] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[30] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[31] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[32] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[33] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[34] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[35] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[36] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[37] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[38] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[39] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[40] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g15+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[41] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[42] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[43] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[44] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[45] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[46] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[47] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[48] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[49] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[50] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[51] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[52] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[53] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[54] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[55] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[56] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[57] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[58] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[59] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[60] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[61] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[62] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[63] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[64] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[65] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[66] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[67] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[68] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[69] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[70] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[71] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[72] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[73] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[74] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[75] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[76] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[77] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[78] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[79] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[80] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g15+(iz+i)*SIMDD);
}
r1 = + rs[50] - rs[68] - rs[52] + rs[70]; GOUT_SCATTER(gout, n*16+0, r1);
r1 = + rs[59] - rs[23] - rs[61] + rs[25]; GOUT_SCATTER(gout, n*16+1, r1);
r1 = + rs[14] - rs[32] - rs[16] + rs[34]; GOUT_SCATTER(gout, n*16+2, r1);
r1 = + rs[5] + rs[41] + rs[77] - rs[7] - rs[43] - rs[79]; GOUT_SCATTER(gout, n*16+3, r1);
r1 = + rs[51] - rs[69] - rs[47] + rs[65]; GOUT_SCATTER(gout, n*16+4, r1);
r1 = + rs[60] - rs[24] - rs[56] + rs[20]; GOUT_SCATTER(gout, n*16+5, r1);
r1 = + rs[15] - rs[33] - rs[11] + rs[29]; GOUT_SCATTER(gout, n*16+6, r1);
r1 = + rs[6] + rs[42] + rs[78] - rs[2] - rs[38] - rs[74]; GOUT_SCATTER(gout, n*16+7, r1);
r1 = + rs[46] - rs[64] - rs[48] + rs[66]; GOUT_SCATTER(gout, n*16+8, r1);
r1 = + rs[55] - rs[19] - rs[57] + rs[21]; GOUT_SCATTER(gout, n*16+9, r1);
r1 = + rs[10] - rs[28] - rs[12] + rs[30]; GOUT_SCATTER(gout, n*16+10, r1);
r1 = + rs[1] + rs[37] + rs[73] - rs[3] - rs[39] - rs[75]; GOUT_SCATTER(gout, n*16+11, r1);
r1 = + rs[45] - rs[63] + rs[49] - rs[67] + rs[53] - rs[71]; GOUT_SCATTER(gout, n*16+12, r1);
r1 = + rs[54] - rs[18] + rs[58] - rs[22] + rs[62] - rs[26]; GOUT_SCATTER(gout, n*16+13, r1);
r1 = + rs[9] - rs[27] + rs[13] - rs[31] + rs[17] - rs[35]; GOUT_SCATTER(gout, n*16+14, r1);
r1 = + rs[0] + rs[36] + rs[72] + rs[4] + rs[40] + rs[76] + rs[8] + rs[44] + rs[80]; GOUT_SCATTER(gout, n*16+15, r1);
}}
void CINTgout2e_int2e_srsr1srsr2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_R_L_SIMD1(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_R_K_SIMD1(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_R_K_SIMD1(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_R_J_SIMD1(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_J_SIMD1(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_J_SIMD1(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_J_SIMD1(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g15[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g14[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g14[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g13[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g12[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g12[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g13[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g12[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g12[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g11[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g10[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g10[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g9[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g8[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g8[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g9[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g8[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g8[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g11[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g10[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g10[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g9[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g8[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g8[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g9[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g8[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g8[ix+i] * g0[iy+i] * g7[iz+i];
s[27] += g7[ix+i] * g8[iy+i] * g0[iz+i];
s[28] += g6[ix+i] * g9[iy+i] * g0[iz+i];
s[29] += g6[ix+i] * g8[iy+i] * g1[iz+i];
s[30] += g5[ix+i] * g10[iy+i] * g0[iz+i];
s[31] += g4[ix+i] * g11[iy+i] * g0[iz+i];
s[32] += g4[ix+i] * g10[iy+i] * g1[iz+i];
s[33] += g5[ix+i] * g8[iy+i] * g2[iz+i];
s[34] += g4[ix+i] * g9[iy+i] * g2[iz+i];
s[35] += g4[ix+i] * g8[iy+i] * g3[iz+i];
s[36] += g3[ix+i] * g12[iy+i] * g0[iz+i];
s[37] += g2[ix+i] * g13[iy+i] * g0[iz+i];
s[38] += g2[ix+i] * g12[iy+i] * g1[iz+i];
s[39] += g1[ix+i] * g14[iy+i] * g0[iz+i];
s[40] += g0[ix+i] * g15[iy+i] * g0[iz+i];
s[41] += g0[ix+i] * g14[iy+i] * g1[iz+i];
s[42] += g1[ix+i] * g12[iy+i] * g2[iz+i];
s[43] += g0[ix+i] * g13[iy+i] * g2[iz+i];
s[44] += g0[ix+i] * g12[iy+i] * g3[iz+i];
s[45] += g3[ix+i] * g8[iy+i] * g4[iz+i];
s[46] += g2[ix+i] * g9[iy+i] * g4[iz+i];
s[47] += g2[ix+i] * g8[iy+i] * g5[iz+i];
s[48] += g1[ix+i] * g10[iy+i] * g4[iz+i];
s[49] += g0[ix+i] * g11[iy+i] * g4[iz+i];
s[50] += g0[ix+i] * g10[iy+i] * g5[iz+i];
s[51] += g1[ix+i] * g8[iy+i] * g6[iz+i];
s[52] += g0[ix+i] * g9[iy+i] * g6[iz+i];
s[53] += g0[ix+i] * g8[iy+i] * g7[iz+i];
s[54] += g7[ix+i] * g0[iy+i] * g8[iz+i];
s[55] += g6[ix+i] * g1[iy+i] * g8[iz+i];
s[56] += g6[ix+i] * g0[iy+i] * g9[iz+i];
s[57] += g5[ix+i] * g2[iy+i] * g8[iz+i];
s[58] += g4[ix+i] * g3[iy+i] * g8[iz+i];
s[59] += g4[ix+i] * g2[iy+i] * g9[iz+i];
s[60] += g5[ix+i] * g0[iy+i] * g10[iz+i];
s[61] += g4[ix+i] * g1[iy+i] * g10[iz+i];
s[62] += g4[ix+i] * g0[iy+i] * g11[iz+i];
s[63] += g3[ix+i] * g4[iy+i] * g8[iz+i];
s[64] += g2[ix+i] * g5[iy+i] * g8[iz+i];
s[65] += g2[ix+i] * g4[iy+i] * g9[iz+i];
s[66] += g1[ix+i] * g6[iy+i] * g8[iz+i];
s[67] += g0[ix+i] * g7[iy+i] * g8[iz+i];
s[68] += g0[ix+i] * g6[iy+i] * g9[iz+i];
s[69] += g1[ix+i] * g4[iy+i] * g10[iz+i];
s[70] += g0[ix+i] * g5[iy+i] * g10[iz+i];
s[71] += g0[ix+i] * g4[iy+i] * g11[iz+i];
s[72] += g3[ix+i] * g0[iy+i] * g12[iz+i];
s[73] += g2[ix+i] * g1[iy+i] * g12[iz+i];
s[74] += g2[ix+i] * g0[iy+i] * g13[iz+i];
s[75] += g1[ix+i] * g2[iy+i] * g12[iz+i];
s[76] += g0[ix+i] * g3[iy+i] * g12[iz+i];
s[77] += g0[ix+i] * g2[iy+i] * g13[iz+i];
s[78] += g1[ix+i] * g0[iy+i] * g14[iz+i];
s[79] += g0[ix+i] * g1[iy+i] * g14[iz+i];
s[80] += g0[ix+i] * g0[iy+i] * g15[iz+i];
}
gout[n*16+0] = + s[50] - s[68] - s[52] + s[70];
gout[n*16+1] = + s[59] - s[23] - s[61] + s[25];
gout[n*16+2] = + s[14] - s[32] - s[16] + s[34];
gout[n*16+3] = + s[5] + s[41] + s[77] - s[7] - s[43] - s[79];
gout[n*16+4] = + s[51] - s[69] - s[47] + s[65];
gout[n*16+5] = + s[60] - s[24] - s[56] + s[20];
gout[n*16+6] = + s[15] - s[33] - s[11] + s[29];
gout[n*16+7] = + s[6] + s[42] + s[78] - s[2] - s[38] - s[74];
gout[n*16+8] = + s[46] - s[64] - s[48] + s[66];
gout[n*16+9] = + s[55] - s[19] - s[57] + s[21];
gout[n*16+10] = + s[10] - s[28] - s[12] + s[30];
gout[n*16+11] = + s[1] + s[37] + s[73] - s[3] - s[39] - s[75];
gout[n*16+12] = + s[45] - s[63] + s[49] - s[67] + s[53] - s[71];
gout[n*16+13] = + s[54] - s[18] + s[58] - s[22] + s[62] - s[26];
gout[n*16+14] = + s[9] - s[27] + s[13] - s[31] + s[17] - s[35];
gout[n*16+15] = + s[0] + s[36] + s[72] + s[4] + s[40] + s[76] + s[8] + s[44] + s[80];
}}
void int2e_srsr1srsr2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_srsr1srsr2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_srsr1srsr2;
envs.f_gout_simd1 = &CINTgout2e_int2e_srsr1srsr2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_srsr1srsr2_cart
CACHE_SIZE_T int2e_srsr1srsr2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_srsr1srsr2;
envs.f_gout_simd1 = &CINTgout2e_int2e_srsr1srsr2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_srsr1srsr2_sph
CACHE_SIZE_T int2e_srsr1srsr2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_srsr1srsr2;
envs.f_gout_simd1 = &CINTgout2e_int2e_srsr1srsr2_simd1;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1, &c2s_si_2e2);
} // int2e_srsr1srsr2_spinor
ALL_CINT(int2e_srsr1srsr2)
//ALL_CINT_FORTRAN_(cint2e_srsr1srsr2)
/* <k RC CROSS SIGMA i|R12 |SIGMA DOT P j l> : i,j \in electron 1; k,l \in electron 2
 * = (RC CROSS SIGMA i SIGMA DOT P j|R12 |k l) */
void CINTgout2e_int2e_cg_sa10sp1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 12;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double dri[3];
dri[0] = envs->ri[0] - envs->env[PTR_COMMON_ORIG+0];
dri[1] = envs->ri[1] - envs->env[PTR_COMMON_ORIG+1];
dri[2] = envs->ri[2] - envs->env[PTR_COMMON_ORIG+2];
G2E_D_J(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_RCI(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
break;
case 2:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
break;
case 3:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
break;
case 4:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g3+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g3+(iz+3)*SIMDD);
break;
default:
for (i = 0; i < 9; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
} break;}
r1 = + rs[8] + rs[4]; GOUT_SCATTER(gout, n*12+0, r1);
r1 = - rs[3]; GOUT_SCATTER(gout, n*12+1, r1);
r1 = - rs[6]; GOUT_SCATTER(gout, n*12+2, r1);
r1 = + rs[7] - rs[5]; GOUT_SCATTER(gout, n*12+3, r1);
r1 = - rs[1]; GOUT_SCATTER(gout, n*12+4, r1);
r1 = + rs[0] + rs[8]; GOUT_SCATTER(gout, n*12+5, r1);
r1 = - rs[7]; GOUT_SCATTER(gout, n*12+6, r1);
r1 = - rs[6] + rs[2]; GOUT_SCATTER(gout, n*12+7, r1);
r1 = - rs[2]; GOUT_SCATTER(gout, n*12+8, r1);
r1 = - rs[5]; GOUT_SCATTER(gout, n*12+9, r1);
r1 = + rs[4] + rs[0]; GOUT_SCATTER(gout, n*12+10, r1);
r1 = + rs[3] - rs[1]; GOUT_SCATTER(gout, n*12+11, r1);
}}
void CINTgout2e_int2e_cg_sa10sp1_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double dri[3];
dri[0] = envs->ri[0] - envs->env[PTR_COMMON_ORIG+0];
dri[1] = envs->ri[1] - envs->env[PTR_COMMON_ORIG+1];
dri[2] = envs->ri[2] - envs->env[PTR_COMMON_ORIG+2];
G2E_D_J_SIMD1(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 9; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g3[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g2[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g2[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g1[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g0[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g0[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g1[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g0[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g0[ix+i] * g0[iy+i] * g3[iz+i];
}
gout[n*12+0] = + s[8] + s[4];
gout[n*12+1] = - s[3];
gout[n*12+2] = - s[6];
gout[n*12+3] = + s[7] - s[5];
gout[n*12+4] = - s[1];
gout[n*12+5] = + s[0] + s[8];
gout[n*12+6] = - s[7];
gout[n*12+7] = - s[6] + s[2];
gout[n*12+8] = - s[2];
gout[n*12+9] = - s[5];
gout[n*12+10] = + s[4] + s[0];
gout[n*12+11] = + s[3] - s[1];
}}
void int2e_cg_sa10sp1_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_cg_sa10sp1_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_cg_sa10sp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_cg_sa10sp1_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_cg_sa10sp1_cart
CACHE_SIZE_T int2e_cg_sa10sp1_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_cg_sa10sp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_cg_sa10sp1_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_cg_sa10sp1_sph
CACHE_SIZE_T int2e_cg_sa10sp1_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_cg_sa10sp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_cg_sa10sp1_simd1;
envs.common_factor *= 0.5;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1i, &c2s_sf_2e2);
} // int2e_cg_sa10sp1_spinor
ALL_CINT(int2e_cg_sa10sp1)
//ALL_CINT_FORTRAN_(cint2e_cg_sa10sp1)
/* <SIGMA DOT P k RC CROSS SIGMA i|R12 |SIGMA DOT P j SIGMA DOT P l> : i,j \in electron 1; k,l \in electron 2
 * = (RC CROSS SIGMA i SIGMA DOT P j|R12 |SIGMA DOT P k SIGMA DOT P l) */
void CINTgout2e_int2e_cg_sa10sp1spsp2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 48;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
double dri[3];
dri[0] = envs->ri[0] - envs->env[PTR_COMMON_ORIG+0];
dri[1] = envs->ri[1] - envs->env[PTR_COMMON_ORIG+1];
dri[2] = envs->ri[2] - envs->env[PTR_COMMON_ORIG+2];
G2E_D_L(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_RCI(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g15+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[27] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[28] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[29] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[30] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[31] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[32] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[33] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[34] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[35] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[36] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[37] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[38] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[39] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[40] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g15+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[41] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[42] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[43] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[44] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[45] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[46] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[47] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[48] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[49] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[50] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[51] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[52] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[53] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[54] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[55] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[56] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[57] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[58] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[59] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[60] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[61] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[62] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[63] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[64] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[65] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[66] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[67] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[68] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[69] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[70] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[71] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[72] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[73] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[74] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[75] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[76] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[77] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[78] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[79] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[80] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g15+(iz+i)*SIMDD);
}
r1 = + rs[77] + rs[41] - rs[79] - rs[43]; GOUT_SCATTER(gout, n*48+0, r1);
r1 = - rs[32] + rs[34]; GOUT_SCATTER(gout, n*48+1, r1);
r1 = - rs[59] + rs[61]; GOUT_SCATTER(gout, n*48+2, r1);
r1 = + rs[68] - rs[50] - rs[70] + rs[52]; GOUT_SCATTER(gout, n*48+3, r1);
r1 = + rs[78] + rs[42] - rs[74] - rs[38]; GOUT_SCATTER(gout, n*48+4, r1);
r1 = - rs[33] + rs[29]; GOUT_SCATTER(gout, n*48+5, r1);
r1 = - rs[60] + rs[56]; GOUT_SCATTER(gout, n*48+6, r1);
r1 = + rs[69] - rs[51] - rs[65] + rs[47]; GOUT_SCATTER(gout, n*48+7, r1);
r1 = + rs[73] + rs[37] - rs[75] - rs[39]; GOUT_SCATTER(gout, n*48+8, r1);
r1 = - rs[28] + rs[30]; GOUT_SCATTER(gout, n*48+9, r1);
r1 = - rs[55] + rs[57]; GOUT_SCATTER(gout, n*48+10, r1);
r1 = + rs[64] - rs[46] - rs[66] + rs[48]; GOUT_SCATTER(gout, n*48+11, r1);
r1 = + rs[72] + rs[36] + rs[76] + rs[40] + rs[80] + rs[44]; GOUT_SCATTER(gout, n*48+12, r1);
r1 = - rs[27] - rs[31] - rs[35]; GOUT_SCATTER(gout, n*48+13, r1);
r1 = - rs[54] - rs[58] - rs[62]; GOUT_SCATTER(gout, n*48+14, r1);
r1 = + rs[63] - rs[45] + rs[67] - rs[49] + rs[71] - rs[53]; GOUT_SCATTER(gout, n*48+15, r1);
r1 = - rs[14] + rs[16]; GOUT_SCATTER(gout, n*48+16, r1);
r1 = + rs[5] + rs[77] - rs[7] - rs[79]; GOUT_SCATTER(gout, n*48+17, r1);
r1 = - rs[68] + rs[70]; GOUT_SCATTER(gout, n*48+18, r1);
r1 = - rs[59] + rs[23] + rs[61] - rs[25]; GOUT_SCATTER(gout, n*48+19, r1);
r1 = - rs[15] + rs[11]; GOUT_SCATTER(gout, n*48+20, r1);
r1 = + rs[6] + rs[78] - rs[2] - rs[74]; GOUT_SCATTER(gout, n*48+21, r1);
r1 = - rs[69] + rs[65]; GOUT_SCATTER(gout, n*48+22, r1);
r1 = - rs[60] + rs[24] + rs[56] - rs[20]; GOUT_SCATTER(gout, n*48+23, r1);
r1 = - rs[10] + rs[12]; GOUT_SCATTER(gout, n*48+24, r1);
r1 = + rs[1] + rs[73] - rs[3] - rs[75]; GOUT_SCATTER(gout, n*48+25, r1);
r1 = - rs[64] + rs[66]; GOUT_SCATTER(gout, n*48+26, r1);
r1 = - rs[55] + rs[19] + rs[57] - rs[21]; GOUT_SCATTER(gout, n*48+27, r1);
r1 = - rs[9] - rs[13] - rs[17]; GOUT_SCATTER(gout, n*48+28, r1);
r1 = + rs[0] + rs[72] + rs[4] + rs[76] + rs[8] + rs[80]; GOUT_SCATTER(gout, n*48+29, r1);
r1 = - rs[63] - rs[67] - rs[71]; GOUT_SCATTER(gout, n*48+30, r1);
r1 = - rs[54] + rs[18] - rs[58] + rs[22] - rs[62] + rs[26]; GOUT_SCATTER(gout, n*48+31, r1);
r1 = - rs[23] + rs[25]; GOUT_SCATTER(gout, n*48+32, r1);
r1 = - rs[50] + rs[52]; GOUT_SCATTER(gout, n*48+33, r1);
r1 = + rs[41] + rs[5] - rs[43] - rs[7]; GOUT_SCATTER(gout, n*48+34, r1);
r1 = + rs[32] - rs[14] - rs[34] + rs[16]; GOUT_SCATTER(gout, n*48+35, r1);
r1 = - rs[24] + rs[20]; GOUT_SCATTER(gout, n*48+36, r1);
r1 = - rs[51] + rs[47]; GOUT_SCATTER(gout, n*48+37, r1);
r1 = + rs[42] + rs[6] - rs[38] - rs[2]; GOUT_SCATTER(gout, n*48+38, r1);
r1 = + rs[33] - rs[15] - rs[29] + rs[11]; GOUT_SCATTER(gout, n*48+39, r1);
r1 = - rs[19] + rs[21]; GOUT_SCATTER(gout, n*48+40, r1);
r1 = - rs[46] + rs[48]; GOUT_SCATTER(gout, n*48+41, r1);
r1 = + rs[37] + rs[1] - rs[39] - rs[3]; GOUT_SCATTER(gout, n*48+42, r1);
r1 = + rs[28] - rs[10] - rs[30] + rs[12]; GOUT_SCATTER(gout, n*48+43, r1);
r1 = - rs[18] - rs[22] - rs[26]; GOUT_SCATTER(gout, n*48+44, r1);
r1 = - rs[45] - rs[49] - rs[53]; GOUT_SCATTER(gout, n*48+45, r1);
r1 = + rs[36] + rs[0] + rs[40] + rs[4] + rs[44] + rs[8]; GOUT_SCATTER(gout, n*48+46, r1);
r1 = + rs[27] - rs[9] + rs[31] - rs[13] + rs[35] - rs[17]; GOUT_SCATTER(gout, n*48+47, r1);
}}
void CINTgout2e_int2e_cg_sa10sp1spsp2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
double dri[3];
dri[0] = envs->ri[0] - envs->env[PTR_COMMON_ORIG+0];
dri[1] = envs->ri[1] - envs->env[PTR_COMMON_ORIG+1];
dri[2] = envs->ri[2] - envs->env[PTR_COMMON_ORIG+2];
G2E_D_L_SIMD1(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K_SIMD1(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K_SIMD1(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J_SIMD1(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_RCI_SIMD1(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g15[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g14[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g14[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g13[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g12[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g12[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g13[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g12[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g12[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g11[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g10[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g10[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g9[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g8[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g8[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g9[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g8[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g8[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g11[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g10[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g10[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g9[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g8[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g8[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g9[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g8[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g8[ix+i] * g0[iy+i] * g7[iz+i];
s[27] += g7[ix+i] * g8[iy+i] * g0[iz+i];
s[28] += g6[ix+i] * g9[iy+i] * g0[iz+i];
s[29] += g6[ix+i] * g8[iy+i] * g1[iz+i];
s[30] += g5[ix+i] * g10[iy+i] * g0[iz+i];
s[31] += g4[ix+i] * g11[iy+i] * g0[iz+i];
s[32] += g4[ix+i] * g10[iy+i] * g1[iz+i];
s[33] += g5[ix+i] * g8[iy+i] * g2[iz+i];
s[34] += g4[ix+i] * g9[iy+i] * g2[iz+i];
s[35] += g4[ix+i] * g8[iy+i] * g3[iz+i];
s[36] += g3[ix+i] * g12[iy+i] * g0[iz+i];
s[37] += g2[ix+i] * g13[iy+i] * g0[iz+i];
s[38] += g2[ix+i] * g12[iy+i] * g1[iz+i];
s[39] += g1[ix+i] * g14[iy+i] * g0[iz+i];
s[40] += g0[ix+i] * g15[iy+i] * g0[iz+i];
s[41] += g0[ix+i] * g14[iy+i] * g1[iz+i];
s[42] += g1[ix+i] * g12[iy+i] * g2[iz+i];
s[43] += g0[ix+i] * g13[iy+i] * g2[iz+i];
s[44] += g0[ix+i] * g12[iy+i] * g3[iz+i];
s[45] += g3[ix+i] * g8[iy+i] * g4[iz+i];
s[46] += g2[ix+i] * g9[iy+i] * g4[iz+i];
s[47] += g2[ix+i] * g8[iy+i] * g5[iz+i];
s[48] += g1[ix+i] * g10[iy+i] * g4[iz+i];
s[49] += g0[ix+i] * g11[iy+i] * g4[iz+i];
s[50] += g0[ix+i] * g10[iy+i] * g5[iz+i];
s[51] += g1[ix+i] * g8[iy+i] * g6[iz+i];
s[52] += g0[ix+i] * g9[iy+i] * g6[iz+i];
s[53] += g0[ix+i] * g8[iy+i] * g7[iz+i];
s[54] += g7[ix+i] * g0[iy+i] * g8[iz+i];
s[55] += g6[ix+i] * g1[iy+i] * g8[iz+i];
s[56] += g6[ix+i] * g0[iy+i] * g9[iz+i];
s[57] += g5[ix+i] * g2[iy+i] * g8[iz+i];
s[58] += g4[ix+i] * g3[iy+i] * g8[iz+i];
s[59] += g4[ix+i] * g2[iy+i] * g9[iz+i];
s[60] += g5[ix+i] * g0[iy+i] * g10[iz+i];
s[61] += g4[ix+i] * g1[iy+i] * g10[iz+i];
s[62] += g4[ix+i] * g0[iy+i] * g11[iz+i];
s[63] += g3[ix+i] * g4[iy+i] * g8[iz+i];
s[64] += g2[ix+i] * g5[iy+i] * g8[iz+i];
s[65] += g2[ix+i] * g4[iy+i] * g9[iz+i];
s[66] += g1[ix+i] * g6[iy+i] * g8[iz+i];
s[67] += g0[ix+i] * g7[iy+i] * g8[iz+i];
s[68] += g0[ix+i] * g6[iy+i] * g9[iz+i];
s[69] += g1[ix+i] * g4[iy+i] * g10[iz+i];
s[70] += g0[ix+i] * g5[iy+i] * g10[iz+i];
s[71] += g0[ix+i] * g4[iy+i] * g11[iz+i];
s[72] += g3[ix+i] * g0[iy+i] * g12[iz+i];
s[73] += g2[ix+i] * g1[iy+i] * g12[iz+i];
s[74] += g2[ix+i] * g0[iy+i] * g13[iz+i];
s[75] += g1[ix+i] * g2[iy+i] * g12[iz+i];
s[76] += g0[ix+i] * g3[iy+i] * g12[iz+i];
s[77] += g0[ix+i] * g2[iy+i] * g13[iz+i];
s[78] += g1[ix+i] * g0[iy+i] * g14[iz+i];
s[79] += g0[ix+i] * g1[iy+i] * g14[iz+i];
s[80] += g0[ix+i] * g0[iy+i] * g15[iz+i];
}
gout[n*48+0] = + s[77] + s[41] - s[79] - s[43];
gout[n*48+1] = - s[32] + s[34];
gout[n*48+2] = - s[59] + s[61];
gout[n*48+3] = + s[68] - s[50] - s[70] + s[52];
gout[n*48+4] = + s[78] + s[42] - s[74] - s[38];
gout[n*48+5] = - s[33] + s[29];
gout[n*48+6] = - s[60] + s[56];
gout[n*48+7] = + s[69] - s[51] - s[65] + s[47];
gout[n*48+8] = + s[73] + s[37] - s[75] - s[39];
gout[n*48+9] = - s[28] + s[30];
gout[n*48+10] = - s[55] + s[57];
gout[n*48+11] = + s[64] - s[46] - s[66] + s[48];
gout[n*48+12] = + s[72] + s[36] + s[76] + s[40] + s[80] + s[44];
gout[n*48+13] = - s[27] - s[31] - s[35];
gout[n*48+14] = - s[54] - s[58] - s[62];
gout[n*48+15] = + s[63] - s[45] + s[67] - s[49] + s[71] - s[53];
gout[n*48+16] = - s[14] + s[16];
gout[n*48+17] = + s[5] + s[77] - s[7] - s[79];
gout[n*48+18] = - s[68] + s[70];
gout[n*48+19] = - s[59] + s[23] + s[61] - s[25];
gout[n*48+20] = - s[15] + s[11];
gout[n*48+21] = + s[6] + s[78] - s[2] - s[74];
gout[n*48+22] = - s[69] + s[65];
gout[n*48+23] = - s[60] + s[24] + s[56] - s[20];
gout[n*48+24] = - s[10] + s[12];
gout[n*48+25] = + s[1] + s[73] - s[3] - s[75];
gout[n*48+26] = - s[64] + s[66];
gout[n*48+27] = - s[55] + s[19] + s[57] - s[21];
gout[n*48+28] = - s[9] - s[13] - s[17];
gout[n*48+29] = + s[0] + s[72] + s[4] + s[76] + s[8] + s[80];
gout[n*48+30] = - s[63] - s[67] - s[71];
gout[n*48+31] = - s[54] + s[18] - s[58] + s[22] - s[62] + s[26];
gout[n*48+32] = - s[23] + s[25];
gout[n*48+33] = - s[50] + s[52];
gout[n*48+34] = + s[41] + s[5] - s[43] - s[7];
gout[n*48+35] = + s[32] - s[14] - s[34] + s[16];
gout[n*48+36] = - s[24] + s[20];
gout[n*48+37] = - s[51] + s[47];
gout[n*48+38] = + s[42] + s[6] - s[38] - s[2];
gout[n*48+39] = + s[33] - s[15] - s[29] + s[11];
gout[n*48+40] = - s[19] + s[21];
gout[n*48+41] = - s[46] + s[48];
gout[n*48+42] = + s[37] + s[1] - s[39] - s[3];
gout[n*48+43] = + s[28] - s[10] - s[30] + s[12];
gout[n*48+44] = - s[18] - s[22] - s[26];
gout[n*48+45] = - s[45] - s[49] - s[53];
gout[n*48+46] = + s[36] + s[0] + s[40] + s[4] + s[44] + s[8];
gout[n*48+47] = + s[27] - s[9] + s[31] - s[13] + s[35] - s[17];
}}
void int2e_cg_sa10sp1spsp2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_cg_sa10sp1spsp2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_cg_sa10sp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_cg_sa10sp1spsp2_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_cg_sa10sp1spsp2_cart
CACHE_SIZE_T int2e_cg_sa10sp1spsp2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_cg_sa10sp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_cg_sa10sp1spsp2_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_cg_sa10sp1spsp2_sph
CACHE_SIZE_T int2e_cg_sa10sp1spsp2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_cg_sa10sp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_cg_sa10sp1spsp2_simd1;
envs.common_factor *= 0.5;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1i, &c2s_si_2e2);
} // int2e_cg_sa10sp1spsp2_spinor
ALL_CINT(int2e_cg_sa10sp1spsp2)
//ALL_CINT_FORTRAN_(cint2e_cg_sa10sp1spsp2)
/* <k R CROSS SIGMA i|R12 |SIGMA DOT P j l> : i,j \in electron 1; k,l \in electron 2
 * = (R CROSS SIGMA i SIGMA DOT P j|R12 |k l) */
void CINTgout2e_int2e_giao_sa10sp1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 12;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_J(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
break;
case 2:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
break;
case 3:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
break;
case 4:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g3+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g3+(iz+3)*SIMDD);
break;
default:
for (i = 0; i < 9; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
} break;}
r1 = + rs[8] + rs[4]; GOUT_SCATTER(gout, n*12+0, r1);
r1 = - rs[3]; GOUT_SCATTER(gout, n*12+1, r1);
r1 = - rs[6]; GOUT_SCATTER(gout, n*12+2, r1);
r1 = + rs[7] - rs[5]; GOUT_SCATTER(gout, n*12+3, r1);
r1 = - rs[1]; GOUT_SCATTER(gout, n*12+4, r1);
r1 = + rs[0] + rs[8]; GOUT_SCATTER(gout, n*12+5, r1);
r1 = - rs[7]; GOUT_SCATTER(gout, n*12+6, r1);
r1 = - rs[6] + rs[2]; GOUT_SCATTER(gout, n*12+7, r1);
r1 = - rs[2]; GOUT_SCATTER(gout, n*12+8, r1);
r1 = - rs[5]; GOUT_SCATTER(gout, n*12+9, r1);
r1 = + rs[4] + rs[0]; GOUT_SCATTER(gout, n*12+10, r1);
r1 = + rs[3] - rs[1]; GOUT_SCATTER(gout, n*12+11, r1);
}}
void CINTgout2e_int2e_giao_sa10sp1_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_J_SIMD1(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 9; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g3[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g2[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g2[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g1[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g0[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g0[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g1[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g0[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g0[ix+i] * g0[iy+i] * g3[iz+i];
}
gout[n*12+0] = + s[8] + s[4];
gout[n*12+1] = - s[3];
gout[n*12+2] = - s[6];
gout[n*12+3] = + s[7] - s[5];
gout[n*12+4] = - s[1];
gout[n*12+5] = + s[0] + s[8];
gout[n*12+6] = - s[7];
gout[n*12+7] = - s[6] + s[2];
gout[n*12+8] = - s[2];
gout[n*12+9] = - s[5];
gout[n*12+10] = + s[4] + s[0];
gout[n*12+11] = + s[3] - s[1];
}}
void int2e_giao_sa10sp1_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_giao_sa10sp1_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_giao_sa10sp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_giao_sa10sp1_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_giao_sa10sp1_cart
CACHE_SIZE_T int2e_giao_sa10sp1_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_giao_sa10sp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_giao_sa10sp1_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_giao_sa10sp1_sph
CACHE_SIZE_T int2e_giao_sa10sp1_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_giao_sa10sp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_giao_sa10sp1_simd1;
envs.common_factor *= 0.5;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1i, &c2s_sf_2e2);
} // int2e_giao_sa10sp1_spinor
ALL_CINT(int2e_giao_sa10sp1)
//ALL_CINT_FORTRAN_(cint2e_giao_sa10sp1)
/* <SIGMA DOT P k R CROSS SIGMA i|R12 |SIGMA DOT P j SIGMA DOT P l> : i,j \in electron 1; k,l \in electron 2
 * = (R CROSS SIGMA i SIGMA DOT P j|R12 |SIGMA DOT P k SIGMA DOT P l) */
void CINTgout2e_int2e_giao_sa10sp1spsp2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 48;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_D_L(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g15+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[27] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[28] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[29] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[30] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[31] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[32] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[33] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[34] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[35] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[36] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[37] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[38] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[39] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[40] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g15+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[41] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[42] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[43] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[44] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[45] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[46] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[47] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[48] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[49] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[50] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[51] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[52] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[53] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[54] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[55] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[56] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[57] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[58] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[59] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[60] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[61] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[62] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[63] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[64] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[65] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[66] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[67] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[68] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[69] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[70] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[71] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[72] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[73] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[74] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[75] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[76] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[77] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[78] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[79] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[80] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g15+(iz+i)*SIMDD);
}
r1 = + rs[77] + rs[41] - rs[79] - rs[43]; GOUT_SCATTER(gout, n*48+0, r1);
r1 = - rs[32] + rs[34]; GOUT_SCATTER(gout, n*48+1, r1);
r1 = - rs[59] + rs[61]; GOUT_SCATTER(gout, n*48+2, r1);
r1 = + rs[68] - rs[50] - rs[70] + rs[52]; GOUT_SCATTER(gout, n*48+3, r1);
r1 = + rs[78] + rs[42] - rs[74] - rs[38]; GOUT_SCATTER(gout, n*48+4, r1);
r1 = - rs[33] + rs[29]; GOUT_SCATTER(gout, n*48+5, r1);
r1 = - rs[60] + rs[56]; GOUT_SCATTER(gout, n*48+6, r1);
r1 = + rs[69] - rs[51] - rs[65] + rs[47]; GOUT_SCATTER(gout, n*48+7, r1);
r1 = + rs[73] + rs[37] - rs[75] - rs[39]; GOUT_SCATTER(gout, n*48+8, r1);
r1 = - rs[28] + rs[30]; GOUT_SCATTER(gout, n*48+9, r1);
r1 = - rs[55] + rs[57]; GOUT_SCATTER(gout, n*48+10, r1);
r1 = + rs[64] - rs[46] - rs[66] + rs[48]; GOUT_SCATTER(gout, n*48+11, r1);
r1 = + rs[72] + rs[36] + rs[76] + rs[40] + rs[80] + rs[44]; GOUT_SCATTER(gout, n*48+12, r1);
r1 = - rs[27] - rs[31] - rs[35]; GOUT_SCATTER(gout, n*48+13, r1);
r1 = - rs[54] - rs[58] - rs[62]; GOUT_SCATTER(gout, n*48+14, r1);
r1 = + rs[63] - rs[45] + rs[67] - rs[49] + rs[71] - rs[53]; GOUT_SCATTER(gout, n*48+15, r1);
r1 = - rs[14] + rs[16]; GOUT_SCATTER(gout, n*48+16, r1);
r1 = + rs[5] + rs[77] - rs[7] - rs[79]; GOUT_SCATTER(gout, n*48+17, r1);
r1 = - rs[68] + rs[70]; GOUT_SCATTER(gout, n*48+18, r1);
r1 = - rs[59] + rs[23] + rs[61] - rs[25]; GOUT_SCATTER(gout, n*48+19, r1);
r1 = - rs[15] + rs[11]; GOUT_SCATTER(gout, n*48+20, r1);
r1 = + rs[6] + rs[78] - rs[2] - rs[74]; GOUT_SCATTER(gout, n*48+21, r1);
r1 = - rs[69] + rs[65]; GOUT_SCATTER(gout, n*48+22, r1);
r1 = - rs[60] + rs[24] + rs[56] - rs[20]; GOUT_SCATTER(gout, n*48+23, r1);
r1 = - rs[10] + rs[12]; GOUT_SCATTER(gout, n*48+24, r1);
r1 = + rs[1] + rs[73] - rs[3] - rs[75]; GOUT_SCATTER(gout, n*48+25, r1);
r1 = - rs[64] + rs[66]; GOUT_SCATTER(gout, n*48+26, r1);
r1 = - rs[55] + rs[19] + rs[57] - rs[21]; GOUT_SCATTER(gout, n*48+27, r1);
r1 = - rs[9] - rs[13] - rs[17]; GOUT_SCATTER(gout, n*48+28, r1);
r1 = + rs[0] + rs[72] + rs[4] + rs[76] + rs[8] + rs[80]; GOUT_SCATTER(gout, n*48+29, r1);
r1 = - rs[63] - rs[67] - rs[71]; GOUT_SCATTER(gout, n*48+30, r1);
r1 = - rs[54] + rs[18] - rs[58] + rs[22] - rs[62] + rs[26]; GOUT_SCATTER(gout, n*48+31, r1);
r1 = - rs[23] + rs[25]; GOUT_SCATTER(gout, n*48+32, r1);
r1 = - rs[50] + rs[52]; GOUT_SCATTER(gout, n*48+33, r1);
r1 = + rs[41] + rs[5] - rs[43] - rs[7]; GOUT_SCATTER(gout, n*48+34, r1);
r1 = + rs[32] - rs[14] - rs[34] + rs[16]; GOUT_SCATTER(gout, n*48+35, r1);
r1 = - rs[24] + rs[20]; GOUT_SCATTER(gout, n*48+36, r1);
r1 = - rs[51] + rs[47]; GOUT_SCATTER(gout, n*48+37, r1);
r1 = + rs[42] + rs[6] - rs[38] - rs[2]; GOUT_SCATTER(gout, n*48+38, r1);
r1 = + rs[33] - rs[15] - rs[29] + rs[11]; GOUT_SCATTER(gout, n*48+39, r1);
r1 = - rs[19] + rs[21]; GOUT_SCATTER(gout, n*48+40, r1);
r1 = - rs[46] + rs[48]; GOUT_SCATTER(gout, n*48+41, r1);
r1 = + rs[37] + rs[1] - rs[39] - rs[3]; GOUT_SCATTER(gout, n*48+42, r1);
r1 = + rs[28] - rs[10] - rs[30] + rs[12]; GOUT_SCATTER(gout, n*48+43, r1);
r1 = - rs[18] - rs[22] - rs[26]; GOUT_SCATTER(gout, n*48+44, r1);
r1 = - rs[45] - rs[49] - rs[53]; GOUT_SCATTER(gout, n*48+45, r1);
r1 = + rs[36] + rs[0] + rs[40] + rs[4] + rs[44] + rs[8]; GOUT_SCATTER(gout, n*48+46, r1);
r1 = + rs[27] - rs[9] + rs[31] - rs[13] + rs[35] - rs[17]; GOUT_SCATTER(gout, n*48+47, r1);
}}
void CINTgout2e_int2e_giao_sa10sp1spsp2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_D_L_SIMD1(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K_SIMD1(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K_SIMD1(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J_SIMD1(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R_I_SIMD1(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g15[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g14[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g14[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g13[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g12[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g12[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g13[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g12[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g12[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g11[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g10[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g10[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g9[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g8[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g8[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g9[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g8[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g8[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g11[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g10[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g10[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g9[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g8[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g8[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g9[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g8[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g8[ix+i] * g0[iy+i] * g7[iz+i];
s[27] += g7[ix+i] * g8[iy+i] * g0[iz+i];
s[28] += g6[ix+i] * g9[iy+i] * g0[iz+i];
s[29] += g6[ix+i] * g8[iy+i] * g1[iz+i];
s[30] += g5[ix+i] * g10[iy+i] * g0[iz+i];
s[31] += g4[ix+i] * g11[iy+i] * g0[iz+i];
s[32] += g4[ix+i] * g10[iy+i] * g1[iz+i];
s[33] += g5[ix+i] * g8[iy+i] * g2[iz+i];
s[34] += g4[ix+i] * g9[iy+i] * g2[iz+i];
s[35] += g4[ix+i] * g8[iy+i] * g3[iz+i];
s[36] += g3[ix+i] * g12[iy+i] * g0[iz+i];
s[37] += g2[ix+i] * g13[iy+i] * g0[iz+i];
s[38] += g2[ix+i] * g12[iy+i] * g1[iz+i];
s[39] += g1[ix+i] * g14[iy+i] * g0[iz+i];
s[40] += g0[ix+i] * g15[iy+i] * g0[iz+i];
s[41] += g0[ix+i] * g14[iy+i] * g1[iz+i];
s[42] += g1[ix+i] * g12[iy+i] * g2[iz+i];
s[43] += g0[ix+i] * g13[iy+i] * g2[iz+i];
s[44] += g0[ix+i] * g12[iy+i] * g3[iz+i];
s[45] += g3[ix+i] * g8[iy+i] * g4[iz+i];
s[46] += g2[ix+i] * g9[iy+i] * g4[iz+i];
s[47] += g2[ix+i] * g8[iy+i] * g5[iz+i];
s[48] += g1[ix+i] * g10[iy+i] * g4[iz+i];
s[49] += g0[ix+i] * g11[iy+i] * g4[iz+i];
s[50] += g0[ix+i] * g10[iy+i] * g5[iz+i];
s[51] += g1[ix+i] * g8[iy+i] * g6[iz+i];
s[52] += g0[ix+i] * g9[iy+i] * g6[iz+i];
s[53] += g0[ix+i] * g8[iy+i] * g7[iz+i];
s[54] += g7[ix+i] * g0[iy+i] * g8[iz+i];
s[55] += g6[ix+i] * g1[iy+i] * g8[iz+i];
s[56] += g6[ix+i] * g0[iy+i] * g9[iz+i];
s[57] += g5[ix+i] * g2[iy+i] * g8[iz+i];
s[58] += g4[ix+i] * g3[iy+i] * g8[iz+i];
s[59] += g4[ix+i] * g2[iy+i] * g9[iz+i];
s[60] += g5[ix+i] * g0[iy+i] * g10[iz+i];
s[61] += g4[ix+i] * g1[iy+i] * g10[iz+i];
s[62] += g4[ix+i] * g0[iy+i] * g11[iz+i];
s[63] += g3[ix+i] * g4[iy+i] * g8[iz+i];
s[64] += g2[ix+i] * g5[iy+i] * g8[iz+i];
s[65] += g2[ix+i] * g4[iy+i] * g9[iz+i];
s[66] += g1[ix+i] * g6[iy+i] * g8[iz+i];
s[67] += g0[ix+i] * g7[iy+i] * g8[iz+i];
s[68] += g0[ix+i] * g6[iy+i] * g9[iz+i];
s[69] += g1[ix+i] * g4[iy+i] * g10[iz+i];
s[70] += g0[ix+i] * g5[iy+i] * g10[iz+i];
s[71] += g0[ix+i] * g4[iy+i] * g11[iz+i];
s[72] += g3[ix+i] * g0[iy+i] * g12[iz+i];
s[73] += g2[ix+i] * g1[iy+i] * g12[iz+i];
s[74] += g2[ix+i] * g0[iy+i] * g13[iz+i];
s[75] += g1[ix+i] * g2[iy+i] * g12[iz+i];
s[76] += g0[ix+i] * g3[iy+i] * g12[iz+i];
s[77] += g0[ix+i] * g2[iy+i] * g13[iz+i];
s[78] += g1[ix+i] * g0[iy+i] * g14[iz+i];
s[79] += g0[ix+i] * g1[iy+i] * g14[iz+i];
s[80] += g0[ix+i] * g0[iy+i] * g15[iz+i];
}
gout[n*48+0] = + s[77] + s[41] - s[79] - s[43];
gout[n*48+1] = - s[32] + s[34];
gout[n*48+2] = - s[59] + s[61];
gout[n*48+3] = + s[68] - s[50] - s[70] + s[52];
gout[n*48+4] = + s[78] + s[42] - s[74] - s[38];
gout[n*48+5] = - s[33] + s[29];
gout[n*48+6] = - s[60] + s[56];
gout[n*48+7] = + s[69] - s[51] - s[65] + s[47];
gout[n*48+8] = + s[73] + s[37] - s[75] - s[39];
gout[n*48+9] = - s[28] + s[30];
gout[n*48+10] = - s[55] + s[57];
gout[n*48+11] = + s[64] - s[46] - s[66] + s[48];
gout[n*48+12] = + s[72] + s[36] + s[76] + s[40] + s[80] + s[44];
gout[n*48+13] = - s[27] - s[31] - s[35];
gout[n*48+14] = - s[54] - s[58] - s[62];
gout[n*48+15] = + s[63] - s[45] + s[67] - s[49] + s[71] - s[53];
gout[n*48+16] = - s[14] + s[16];
gout[n*48+17] = + s[5] + s[77] - s[7] - s[79];
gout[n*48+18] = - s[68] + s[70];
gout[n*48+19] = - s[59] + s[23] + s[61] - s[25];
gout[n*48+20] = - s[15] + s[11];
gout[n*48+21] = + s[6] + s[78] - s[2] - s[74];
gout[n*48+22] = - s[69] + s[65];
gout[n*48+23] = - s[60] + s[24] + s[56] - s[20];
gout[n*48+24] = - s[10] + s[12];
gout[n*48+25] = + s[1] + s[73] - s[3] - s[75];
gout[n*48+26] = - s[64] + s[66];
gout[n*48+27] = - s[55] + s[19] + s[57] - s[21];
gout[n*48+28] = - s[9] - s[13] - s[17];
gout[n*48+29] = + s[0] + s[72] + s[4] + s[76] + s[8] + s[80];
gout[n*48+30] = - s[63] - s[67] - s[71];
gout[n*48+31] = - s[54] + s[18] - s[58] + s[22] - s[62] + s[26];
gout[n*48+32] = - s[23] + s[25];
gout[n*48+33] = - s[50] + s[52];
gout[n*48+34] = + s[41] + s[5] - s[43] - s[7];
gout[n*48+35] = + s[32] - s[14] - s[34] + s[16];
gout[n*48+36] = - s[24] + s[20];
gout[n*48+37] = - s[51] + s[47];
gout[n*48+38] = + s[42] + s[6] - s[38] - s[2];
gout[n*48+39] = + s[33] - s[15] - s[29] + s[11];
gout[n*48+40] = - s[19] + s[21];
gout[n*48+41] = - s[46] + s[48];
gout[n*48+42] = + s[37] + s[1] - s[39] - s[3];
gout[n*48+43] = + s[28] - s[10] - s[30] + s[12];
gout[n*48+44] = - s[18] - s[22] - s[26];
gout[n*48+45] = - s[45] - s[49] - s[53];
gout[n*48+46] = + s[36] + s[0] + s[40] + s[4] + s[44] + s[8];
gout[n*48+47] = + s[27] - s[9] + s[31] - s[13] + s[35] - s[17];
}}
void int2e_giao_sa10sp1spsp2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_giao_sa10sp1spsp2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_giao_sa10sp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_giao_sa10sp1spsp2_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_giao_sa10sp1spsp2_cart
CACHE_SIZE_T int2e_giao_sa10sp1spsp2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_giao_sa10sp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_giao_sa10sp1spsp2_simd1;
envs.common_factor *= 0.5;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_giao_sa10sp1spsp2_sph
CACHE_SIZE_T int2e_giao_sa10sp1spsp2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_giao_sa10sp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_giao_sa10sp1spsp2_simd1;
envs.common_factor *= 0.5;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1i, &c2s_si_2e2);
} // int2e_giao_sa10sp1spsp2_spinor
ALL_CINT(int2e_giao_sa10sp1spsp2)
//ALL_CINT_FORTRAN_(cint2e_giao_sa10sp1spsp2)
/* <k G i|R12 |j l> : i,j \in electron 1; k,l \in electron 2
 * = (G i j|R12 |k l) */
void CINTgout2e_int2e_g1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 3;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_R0I(g1, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[3];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
rs[0] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[2] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
break;
case 2:
rs[0] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[2] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
break;
case 3:
rs[0] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[2] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
break;
case 4:
rs[0] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[0]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[1] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[2] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[2]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
break;
default:
for (i = 0; i < 3; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
} break;}
r1 = + MM_SET1(c[1])*rs[2] - MM_SET1(c[2])*rs[1]; GOUT_SCATTER(gout, n*3+0, r1);
r1 = + MM_SET1(c[2])*rs[0] - MM_SET1(c[0])*rs[2]; GOUT_SCATTER(gout, n*3+1, r1);
r1 = + MM_SET1(c[0])*rs[1] - MM_SET1(c[1])*rs[0]; GOUT_SCATTER(gout, n*3+2, r1);
}}
void CINTgout2e_int2e_g1_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_R0I_SIMD1(g1, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[3];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
s[0] = + g1[ix+0]*g0[iy+0]*g0[iz+0];
s[1] = + g0[ix+0]*g1[iy+0]*g0[iz+0];
s[2] = + g0[ix+0]*g0[iy+0]*g1[iz+0];
break;
case 2:
s[0] = + g1[ix+0]*g0[iy+0]*g0[iz+0]+ g1[ix+1]*g0[iy+1]*g0[iz+1];
s[1] = + g0[ix+0]*g1[iy+0]*g0[iz+0]+ g0[ix+1]*g1[iy+1]*g0[iz+1];
s[2] = + g0[ix+0]*g0[iy+0]*g1[iz+0]+ g0[ix+1]*g0[iy+1]*g1[iz+1];
break;
case 3:
s[0] = + g1[ix+0]*g0[iy+0]*g0[iz+0]+ g1[ix+1]*g0[iy+1]*g0[iz+1]+ g1[ix+2]*g0[iy+2]*g0[iz+2];
s[1] = + g0[ix+0]*g1[iy+0]*g0[iz+0]+ g0[ix+1]*g1[iy+1]*g0[iz+1]+ g0[ix+2]*g1[iy+2]*g0[iz+2];
s[2] = + g0[ix+0]*g0[iy+0]*g1[iz+0]+ g0[ix+1]*g0[iy+1]*g1[iz+1]+ g0[ix+2]*g0[iy+2]*g1[iz+2];
break;
case 4:
s[0] = + g1[ix+0]*g0[iy+0]*g0[iz+0]+ g1[ix+1]*g0[iy+1]*g0[iz+1]+ g1[ix+2]*g0[iy+2]*g0[iz+2]+ g1[ix+3]*g0[iy+3]*g0[iz+3];
s[1] = + g0[ix+0]*g1[iy+0]*g0[iz+0]+ g0[ix+1]*g1[iy+1]*g0[iz+1]+ g0[ix+2]*g1[iy+2]*g0[iz+2]+ g0[ix+3]*g1[iy+3]*g0[iz+3];
s[2] = + g0[ix+0]*g0[iy+0]*g1[iz+0]+ g0[ix+1]*g0[iy+1]*g1[iz+1]+ g0[ix+2]*g0[iy+2]*g1[iz+2]+ g0[ix+3]*g0[iy+3]*g1[iz+3];
break;
default:
for (i = 0; i < 3; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g1[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g0[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g0[ix+i] * g0[iy+i] * g1[iz+i];
} break;}
gout[n*3+0] = + c[1]*s[2] - c[2]*s[1];
gout[n*3+1] = + c[2]*s[0] - c[0]*s[2];
gout[n*3+2] = + c[0]*s[1] - c[1]*s[0];
}}
void int2e_g1_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 0, 0, 0, 1, 1, 1, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_g1_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 0, 0, 0, 1, 1, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_g1;
envs.f_gout_simd1 = &CINTgout2e_int2e_g1_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = envs.nfi * envs.x_ctr[0];
counts[1] = envs.nfj * envs.x_ctr[1];
counts[2] = envs.nfk * envs.x_ctr[2];
counts[3] = envs.nfl * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_g1_cart
CACHE_SIZE_T int2e_g1_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 0, 0, 0, 1, 1, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_g1;
envs.f_gout_simd1 = &CINTgout2e_int2e_g1_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = (envs.i_l*2+1) * envs.x_ctr[0];
counts[1] = (envs.j_l*2+1) * envs.x_ctr[1];
counts[2] = (envs.k_l*2+1) * envs.x_ctr[2];
counts[3] = (envs.l_l*2+1) * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_g1_sph
CACHE_SIZE_T int2e_g1_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 0, 0, 0, 1, 1, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_g1;
envs.f_gout_simd1 = &CINTgout2e_int2e_g1_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = CINTcgto_spinor(envs.shls[0], envs.bas);
counts[1] = CINTcgto_spinor(envs.shls[1], envs.bas);
counts[2] = CINTcgto_spinor(envs.shls[2], envs.bas);
counts[3] = CINTcgto_spinor(envs.shls[3], envs.bas);
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_tensor; i++) {
c2s_zset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_sf_2e1i, &c2s_sf_2e2);
} // int2e_g1_spinor
ALL_CINT(int2e_g1)
//ALL_CINT_FORTRAN_(cint2e_g1)
/* <k G SIGMA DOT P i|R12 |SIGMA DOT P j l> : i,j \in electron 1; k,l \in electron 2
 * = (G SIGMA DOT P i SIGMA DOT P j|R12 |k l) */
void CINTgout2e_int2e_spgsp1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 12;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_D_J(g1, g0, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R0I(g2, g0, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g3, g1, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g4, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g5, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g6, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g7, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[27];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 27; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
}
r1 = + MM_SET1(c[1])*rs[17] - MM_SET1(c[2])*rs[14] - MM_SET1(c[1])*rs[25] + MM_SET1(c[2])*rs[22]; GOUT_SCATTER(gout, n*12+0, r1);
r1 = + MM_SET1(c[1])*rs[24] - MM_SET1(c[2])*rs[21] - MM_SET1(c[1])*rs[8] + MM_SET1(c[2])*rs[5]; GOUT_SCATTER(gout, n*12+1, r1);
r1 = + MM_SET1(c[1])*rs[7] - MM_SET1(c[2])*rs[4] - MM_SET1(c[1])*rs[15] + MM_SET1(c[2])*rs[12]; GOUT_SCATTER(gout, n*12+2, r1);
r1 = + MM_SET1(c[1])*rs[6] - MM_SET1(c[2])*rs[3] + MM_SET1(c[1])*rs[16] - MM_SET1(c[2])*rs[13] + MM_SET1(c[1])*rs[26] - MM_SET1(c[2])*rs[23]; GOUT_SCATTER(gout, n*12+3, r1);
r1 = + MM_SET1(c[2])*rs[11] - MM_SET1(c[0])*rs[17] - MM_SET1(c[2])*rs[19] + MM_SET1(c[0])*rs[25]; GOUT_SCATTER(gout, n*12+4, r1);
r1 = + MM_SET1(c[2])*rs[18] - MM_SET1(c[0])*rs[24] - MM_SET1(c[2])*rs[2] + MM_SET1(c[0])*rs[8]; GOUT_SCATTER(gout, n*12+5, r1);
r1 = + MM_SET1(c[2])*rs[1] - MM_SET1(c[0])*rs[7] - MM_SET1(c[2])*rs[9] + MM_SET1(c[0])*rs[15]; GOUT_SCATTER(gout, n*12+6, r1);
r1 = + MM_SET1(c[2])*rs[0] - MM_SET1(c[0])*rs[6] + MM_SET1(c[2])*rs[10] - MM_SET1(c[0])*rs[16] + MM_SET1(c[2])*rs[20] - MM_SET1(c[0])*rs[26]; GOUT_SCATTER(gout, n*12+7, r1);
r1 = + MM_SET1(c[0])*rs[14] - MM_SET1(c[1])*rs[11] - MM_SET1(c[0])*rs[22] + MM_SET1(c[1])*rs[19]; GOUT_SCATTER(gout, n*12+8, r1);
r1 = + MM_SET1(c[0])*rs[21] - MM_SET1(c[1])*rs[18] - MM_SET1(c[0])*rs[5] + MM_SET1(c[1])*rs[2]; GOUT_SCATTER(gout, n*12+9, r1);
r1 = + MM_SET1(c[0])*rs[4] - MM_SET1(c[1])*rs[1] - MM_SET1(c[0])*rs[12] + MM_SET1(c[1])*rs[9]; GOUT_SCATTER(gout, n*12+10, r1);
r1 = + MM_SET1(c[0])*rs[3] - MM_SET1(c[1])*rs[0] + MM_SET1(c[0])*rs[13] - MM_SET1(c[1])*rs[10] + MM_SET1(c[0])*rs[23] - MM_SET1(c[1])*rs[20]; GOUT_SCATTER(gout, n*12+11, r1);
}}
void CINTgout2e_int2e_spgsp1_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_D_J_SIMD1(g1, g0, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g2, g0, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g3, g1, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g4, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g5, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g6, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g7, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[27];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 27; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g7[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g6[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g6[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g5[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g4[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g4[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g5[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g4[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g4[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g3[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g2[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g2[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g1[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g0[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g0[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g1[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g0[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g0[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g3[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g2[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g2[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g1[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g0[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g0[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g1[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g0[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g0[ix+i] * g0[iy+i] * g7[iz+i];
}
gout[n*12+0] = + c[1]*s[17] - c[2]*s[14] - c[1]*s[25] + c[2]*s[22];
gout[n*12+1] = + c[1]*s[24] - c[2]*s[21] - c[1]*s[8] + c[2]*s[5];
gout[n*12+2] = + c[1]*s[7] - c[2]*s[4] - c[1]*s[15] + c[2]*s[12];
gout[n*12+3] = + c[1]*s[6] - c[2]*s[3] + c[1]*s[16] - c[2]*s[13] + c[1]*s[26] - c[2]*s[23];
gout[n*12+4] = + c[2]*s[11] - c[0]*s[17] - c[2]*s[19] + c[0]*s[25];
gout[n*12+5] = + c[2]*s[18] - c[0]*s[24] - c[2]*s[2] + c[0]*s[8];
gout[n*12+6] = + c[2]*s[1] - c[0]*s[7] - c[2]*s[9] + c[0]*s[15];
gout[n*12+7] = + c[2]*s[0] - c[0]*s[6] + c[2]*s[10] - c[0]*s[16] + c[2]*s[20] - c[0]*s[26];
gout[n*12+8] = + c[0]*s[14] - c[1]*s[11] - c[0]*s[22] + c[1]*s[19];
gout[n*12+9] = + c[0]*s[21] - c[1]*s[18] - c[0]*s[5] + c[1]*s[2];
gout[n*12+10] = + c[0]*s[4] - c[1]*s[1] - c[0]*s[12] + c[1]*s[9];
gout[n*12+11] = + c[0]*s[3] - c[1]*s[0] + c[0]*s[13] - c[1]*s[10] + c[0]*s[23] - c[1]*s[20];
}}
void int2e_spgsp1_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {2, 1, 0, 0, 3, 4, 1, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_spgsp1_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {2, 1, 0, 0, 3, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spgsp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_spgsp1_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = envs.nfi * envs.x_ctr[0];
counts[1] = envs.nfj * envs.x_ctr[1];
counts[2] = envs.nfk * envs.x_ctr[2];
counts[3] = envs.nfl * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_spgsp1_cart
CACHE_SIZE_T int2e_spgsp1_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {2, 1, 0, 0, 3, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spgsp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_spgsp1_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = (envs.i_l*2+1) * envs.x_ctr[0];
counts[1] = (envs.j_l*2+1) * envs.x_ctr[1];
counts[2] = (envs.k_l*2+1) * envs.x_ctr[2];
counts[3] = (envs.l_l*2+1) * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_spgsp1_sph
CACHE_SIZE_T int2e_spgsp1_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {2, 1, 0, 0, 3, 4, 1, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spgsp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_spgsp1_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = CINTcgto_spinor(envs.shls[0], envs.bas);
counts[1] = CINTcgto_spinor(envs.shls[1], envs.bas);
counts[2] = CINTcgto_spinor(envs.shls[2], envs.bas);
counts[3] = CINTcgto_spinor(envs.shls[3], envs.bas);
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_tensor; i++) {
c2s_zset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1i, &c2s_sf_2e2);
} // int2e_spgsp1_spinor
ALL_CINT(int2e_spgsp1)
//ALL_CINT_FORTRAN_(cint2e_spgsp1)
/* <SIGMA DOT P k G i|R12 |j SIGMA DOT P l> : i,j \in electron 1; k,l \in electron 2
 * = (G i j|R12 |SIGMA DOT P k SIGMA DOT P l) */
void CINTgout2e_int2e_g1spsp2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 12;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_D_L(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l+1, envs->l_l+0);
G2E_D_K(g2, g0, envs->i_l+1, envs->j_l+0, envs->k_l+0, envs->l_l);
G2E_D_K(g3, g1, envs->i_l+1, envs->j_l+0, envs->k_l+0, envs->l_l);
G2E_R0I(g4, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g5, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g6, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g7, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[27];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 27; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
}
r1 = + MM_SET1(c[1])*rs[23] - MM_SET1(c[2])*rs[14] - MM_SET1(c[1])*rs[25] + MM_SET1(c[2])*rs[16]; GOUT_SCATTER(gout, n*12+0, r1);
r1 = + MM_SET1(c[1])*rs[24] - MM_SET1(c[2])*rs[15] - MM_SET1(c[1])*rs[20] + MM_SET1(c[2])*rs[11]; GOUT_SCATTER(gout, n*12+1, r1);
r1 = + MM_SET1(c[1])*rs[19] - MM_SET1(c[2])*rs[10] - MM_SET1(c[1])*rs[21] + MM_SET1(c[2])*rs[12]; GOUT_SCATTER(gout, n*12+2, r1);
r1 = + MM_SET1(c[1])*rs[18] - MM_SET1(c[2])*rs[9] + MM_SET1(c[1])*rs[22] - MM_SET1(c[2])*rs[13] + MM_SET1(c[1])*rs[26] - MM_SET1(c[2])*rs[17]; GOUT_SCATTER(gout, n*12+3, r1);
r1 = + MM_SET1(c[2])*rs[5] - MM_SET1(c[0])*rs[23] - MM_SET1(c[2])*rs[7] + MM_SET1(c[0])*rs[25]; GOUT_SCATTER(gout, n*12+4, r1);
r1 = + MM_SET1(c[2])*rs[6] - MM_SET1(c[0])*rs[24] - MM_SET1(c[2])*rs[2] + MM_SET1(c[0])*rs[20]; GOUT_SCATTER(gout, n*12+5, r1);
r1 = + MM_SET1(c[2])*rs[1] - MM_SET1(c[0])*rs[19] - MM_SET1(c[2])*rs[3] + MM_SET1(c[0])*rs[21]; GOUT_SCATTER(gout, n*12+6, r1);
r1 = + MM_SET1(c[2])*rs[0] - MM_SET1(c[0])*rs[18] + MM_SET1(c[2])*rs[4] - MM_SET1(c[0])*rs[22] + MM_SET1(c[2])*rs[8] - MM_SET1(c[0])*rs[26]; GOUT_SCATTER(gout, n*12+7, r1);
r1 = + MM_SET1(c[0])*rs[14] - MM_SET1(c[1])*rs[5] - MM_SET1(c[0])*rs[16] + MM_SET1(c[1])*rs[7]; GOUT_SCATTER(gout, n*12+8, r1);
r1 = + MM_SET1(c[0])*rs[15] - MM_SET1(c[1])*rs[6] - MM_SET1(c[0])*rs[11] + MM_SET1(c[1])*rs[2]; GOUT_SCATTER(gout, n*12+9, r1);
r1 = + MM_SET1(c[0])*rs[10] - MM_SET1(c[1])*rs[1] - MM_SET1(c[0])*rs[12] + MM_SET1(c[1])*rs[3]; GOUT_SCATTER(gout, n*12+10, r1);
r1 = + MM_SET1(c[0])*rs[9] - MM_SET1(c[1])*rs[0] + MM_SET1(c[0])*rs[13] - MM_SET1(c[1])*rs[4] + MM_SET1(c[0])*rs[17] - MM_SET1(c[1])*rs[8]; GOUT_SCATTER(gout, n*12+11, r1);
}}
void CINTgout2e_int2e_g1spsp2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_D_L_SIMD1(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l+1, envs->l_l+0);
G2E_D_K_SIMD1(g2, g0, envs->i_l+1, envs->j_l+0, envs->k_l+0, envs->l_l);
G2E_D_K_SIMD1(g3, g1, envs->i_l+1, envs->j_l+0, envs->k_l+0, envs->l_l);
G2E_R0I_SIMD1(g4, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g5, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g6, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g7, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[27];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 27; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g7[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g6[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g6[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g5[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g4[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g4[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g5[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g4[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g4[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g3[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g2[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g2[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g1[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g0[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g0[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g1[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g0[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g0[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g3[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g2[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g2[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g1[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g0[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g0[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g1[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g0[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g0[ix+i] * g0[iy+i] * g7[iz+i];
}
gout[n*12+0] = + c[1]*s[23] - c[2]*s[14] - c[1]*s[25] + c[2]*s[16];
gout[n*12+1] = + c[1]*s[24] - c[2]*s[15] - c[1]*s[20] + c[2]*s[11];
gout[n*12+2] = + c[1]*s[19] - c[2]*s[10] - c[1]*s[21] + c[2]*s[12];
gout[n*12+3] = + c[1]*s[18] - c[2]*s[9] + c[1]*s[22] - c[2]*s[13] + c[1]*s[26] - c[2]*s[17];
gout[n*12+4] = + c[2]*s[5] - c[0]*s[23] - c[2]*s[7] + c[0]*s[25];
gout[n*12+5] = + c[2]*s[6] - c[0]*s[24] - c[2]*s[2] + c[0]*s[20];
gout[n*12+6] = + c[2]*s[1] - c[0]*s[19] - c[2]*s[3] + c[0]*s[21];
gout[n*12+7] = + c[2]*s[0] - c[0]*s[18] + c[2]*s[4] - c[0]*s[22] + c[2]*s[8] - c[0]*s[26];
gout[n*12+8] = + c[0]*s[14] - c[1]*s[5] - c[0]*s[16] + c[1]*s[7];
gout[n*12+9] = + c[0]*s[15] - c[1]*s[6] - c[0]*s[11] + c[1]*s[2];
gout[n*12+10] = + c[0]*s[10] - c[1]*s[1] - c[0]*s[12] + c[1]*s[3];
gout[n*12+11] = + c[0]*s[9] - c[1]*s[0] + c[0]*s[13] - c[1]*s[4] + c[0]*s[17] - c[1]*s[8];
}}
void int2e_g1spsp2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 0, 1, 1, 3, 1, 4, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_g1spsp2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 0, 1, 1, 3, 1, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_g1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_g1spsp2_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = envs.nfi * envs.x_ctr[0];
counts[1] = envs.nfj * envs.x_ctr[1];
counts[2] = envs.nfk * envs.x_ctr[2];
counts[3] = envs.nfl * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_g1spsp2_cart
CACHE_SIZE_T int2e_g1spsp2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 0, 1, 1, 3, 1, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_g1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_g1spsp2_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = (envs.i_l*2+1) * envs.x_ctr[0];
counts[1] = (envs.j_l*2+1) * envs.x_ctr[1];
counts[2] = (envs.k_l*2+1) * envs.x_ctr[2];
counts[3] = (envs.l_l*2+1) * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_g1spsp2_sph
CACHE_SIZE_T int2e_g1spsp2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 0, 1, 1, 3, 1, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_g1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_g1spsp2_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = CINTcgto_spinor(envs.shls[0], envs.bas);
counts[1] = CINTcgto_spinor(envs.shls[1], envs.bas);
counts[2] = CINTcgto_spinor(envs.shls[2], envs.bas);
counts[3] = CINTcgto_spinor(envs.shls[3], envs.bas);
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_tensor; i++) {
c2s_zset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_sf_2e1i, &c2s_si_2e2);
} // int2e_g1spsp2_spinor
ALL_CINT(int2e_g1spsp2)
//ALL_CINT_FORTRAN_(cint2e_g1spsp2)
/* <SIGMA DOT P k G SIGMA DOT P i|R12 |SIGMA DOT P j SIGMA DOT P l> : i,j \in electron 1; k,l \in electron 2
 * = (G SIGMA DOT P i SIGMA DOT P j|R12 |SIGMA DOT P k SIGMA DOT P l) */
void CINTgout2e_int2e_spgsp1spsp2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 48;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
double *RESTRICT g16 = g15 + envs->g_size * 3 * SIMDD;
double *RESTRICT g17 = g16 + envs->g_size * 3 * SIMDD;
double *RESTRICT g18 = g17 + envs->g_size * 3 * SIMDD;
double *RESTRICT g19 = g18 + envs->g_size * 3 * SIMDD;
double *RESTRICT g20 = g19 + envs->g_size * 3 * SIMDD;
double *RESTRICT g21 = g20 + envs->g_size * 3 * SIMDD;
double *RESTRICT g22 = g21 + envs->g_size * 3 * SIMDD;
double *RESTRICT g23 = g22 + envs->g_size * 3 * SIMDD;
double *RESTRICT g24 = g23 + envs->g_size * 3 * SIMDD;
double *RESTRICT g25 = g24 + envs->g_size * 3 * SIMDD;
double *RESTRICT g26 = g25 + envs->g_size * 3 * SIMDD;
double *RESTRICT g27 = g26 + envs->g_size * 3 * SIMDD;
double *RESTRICT g28 = g27 + envs->g_size * 3 * SIMDD;
double *RESTRICT g29 = g28 + envs->g_size * 3 * SIMDD;
double *RESTRICT g30 = g29 + envs->g_size * 3 * SIMDD;
double *RESTRICT g31 = g30 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_D_L(g1, g0, envs->i_l+2, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K(g2, g0, envs->i_l+2, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K(g3, g1, envs->i_l+2, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J(g4, g0, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g5, g1, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g6, g2, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g7, g3, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R0I(g8, g0, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g9, g1, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g10, g2, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g11, g3, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g12, g4, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g13, g5, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g14, g6, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I(g15, g7, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g16, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g17, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g18, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g19, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g20, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g21, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g22, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g23, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g24, g8, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g25, g9, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g26, g10, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g27, g11, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g28, g12, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g29, g13, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g30, g14, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g31, g15, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[243];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 243; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g31+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g30+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g30+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g29+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g28+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g28+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g29+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g28+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g28+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g27+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g26+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g26+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g25+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g25+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g27+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g26+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g26+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g25+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g25+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g24+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[27] += MM_LOAD(g23+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[28] += MM_LOAD(g22+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[29] += MM_LOAD(g22+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[30] += MM_LOAD(g21+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[31] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[32] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[33] += MM_LOAD(g21+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[34] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[35] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[36] += MM_LOAD(g19+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[37] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[38] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[39] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[40] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g15+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[41] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[42] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[43] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[44] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[45] += MM_LOAD(g19+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[46] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[47] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[48] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[49] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[50] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[51] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[52] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[53] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[54] += MM_LOAD(g23+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[55] += MM_LOAD(g22+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[56] += MM_LOAD(g22+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[57] += MM_LOAD(g21+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[58] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[59] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[60] += MM_LOAD(g21+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[61] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[62] += MM_LOAD(g20+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[63] += MM_LOAD(g19+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[64] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[65] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[66] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[67] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[68] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[69] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[70] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[71] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[72] += MM_LOAD(g19+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[73] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[74] += MM_LOAD(g18+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[75] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[76] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[77] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[78] += MM_LOAD(g17+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[79] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[80] += MM_LOAD(g16+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g15+(iz+i)*SIMDD);
rs[81] += MM_LOAD(g15+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[82] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[83] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[84] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[85] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g19+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[86] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[87] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[88] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[89] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[90] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[91] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g21+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[92] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[93] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g22+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[94] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g23+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[95] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g22+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[96] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[97] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g21+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[98] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[99] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[100] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[101] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[102] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[103] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g19+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[104] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[105] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[106] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[107] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[108] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[109] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g25+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[110] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[111] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g26+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[112] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g27+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[113] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g26+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[114] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[115] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g25+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[116] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[117] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g28+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[118] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g29+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[119] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g28+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[120] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g30+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[121] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g31+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[122] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g30+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[123] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g28+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[124] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g29+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[125] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g28+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[126] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[127] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g25+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[128] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[129] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g26+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[130] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g27+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[131] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g26+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[132] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[133] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g25+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[134] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g24+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[135] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[136] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[137] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[138] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[139] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g19+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[140] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[141] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[142] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[143] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[144] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[145] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g21+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[146] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[147] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g22+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[148] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g23+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[149] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g22+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[150] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[151] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g21+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[152] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g20+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[153] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[154] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[155] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[156] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[157] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g19+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[158] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g18+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[159] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[160] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g17+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[161] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g16+(iy+i)*SIMDD) * MM_LOAD(g15+(iz+i)*SIMDD);
rs[162] += MM_LOAD(g15+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[163] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[164] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[165] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[166] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[167] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[168] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[169] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[170] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g19+(iz+i)*SIMDD);
rs[171] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[172] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[173] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[174] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[175] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[176] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[177] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[178] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[179] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g19+(iz+i)*SIMDD);
rs[180] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[181] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[182] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g21+(iz+i)*SIMDD);
rs[183] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[184] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[185] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g21+(iz+i)*SIMDD);
rs[186] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g22+(iz+i)*SIMDD);
rs[187] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g22+(iz+i)*SIMDD);
rs[188] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g23+(iz+i)*SIMDD);
rs[189] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[190] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[191] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[192] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[193] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[194] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[195] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[196] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[197] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g19+(iz+i)*SIMDD);
rs[198] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[199] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[200] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[201] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[202] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g15+(iy+i)*SIMDD) * MM_LOAD(g16+(iz+i)*SIMDD);
rs[203] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g17+(iz+i)*SIMDD);
rs[204] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[205] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g18+(iz+i)*SIMDD);
rs[206] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g19+(iz+i)*SIMDD);
rs[207] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[208] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[209] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g21+(iz+i)*SIMDD);
rs[210] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[211] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g20+(iz+i)*SIMDD);
rs[212] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g21+(iz+i)*SIMDD);
rs[213] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g22+(iz+i)*SIMDD);
rs[214] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g22+(iz+i)*SIMDD);
rs[215] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g23+(iz+i)*SIMDD);
rs[216] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[217] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[218] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g25+(iz+i)*SIMDD);
rs[219] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[220] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[221] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g25+(iz+i)*SIMDD);
rs[222] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g26+(iz+i)*SIMDD);
rs[223] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g26+(iz+i)*SIMDD);
rs[224] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g27+(iz+i)*SIMDD);
rs[225] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[226] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[227] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g25+(iz+i)*SIMDD);
rs[228] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[229] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g24+(iz+i)*SIMDD);
rs[230] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g25+(iz+i)*SIMDD);
rs[231] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g26+(iz+i)*SIMDD);
rs[232] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g26+(iz+i)*SIMDD);
rs[233] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g27+(iz+i)*SIMDD);
rs[234] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g28+(iz+i)*SIMDD);
rs[235] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g28+(iz+i)*SIMDD);
rs[236] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g29+(iz+i)*SIMDD);
rs[237] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g28+(iz+i)*SIMDD);
rs[238] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g28+(iz+i)*SIMDD);
rs[239] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g29+(iz+i)*SIMDD);
rs[240] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g30+(iz+i)*SIMDD);
rs[241] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g30+(iz+i)*SIMDD);
rs[242] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g31+(iz+i)*SIMDD);
}
r1 = + MM_SET1(c[1])*rs[158] - MM_SET1(c[2])*rs[131] - MM_SET1(c[1])*rs[230] + MM_SET1(c[2])*rs[203] - MM_SET1(c[1])*rs[160] + MM_SET1(c[2])*rs[133] + MM_SET1(c[1])*rs[232] - MM_SET1(c[2])*rs[205]; GOUT_SCATTER(gout, n*48+0, r1);
r1 = + MM_SET1(c[1])*rs[221] - MM_SET1(c[2])*rs[194] - MM_SET1(c[1])*rs[77] + MM_SET1(c[2])*rs[50] - MM_SET1(c[1])*rs[223] + MM_SET1(c[2])*rs[196] + MM_SET1(c[1])*rs[79] - MM_SET1(c[2])*rs[52]; GOUT_SCATTER(gout, n*48+1, r1);
r1 = + MM_SET1(c[1])*rs[68] - MM_SET1(c[2])*rs[41] - MM_SET1(c[1])*rs[140] + MM_SET1(c[2])*rs[113] - MM_SET1(c[1])*rs[70] + MM_SET1(c[2])*rs[43] + MM_SET1(c[1])*rs[142] - MM_SET1(c[2])*rs[115]; GOUT_SCATTER(gout, n*48+2, r1);
r1 = + MM_SET1(c[1])*rs[59] - MM_SET1(c[2])*rs[32] + MM_SET1(c[1])*rs[149] - MM_SET1(c[2])*rs[122] + MM_SET1(c[1])*rs[239] - MM_SET1(c[2])*rs[212] - MM_SET1(c[1])*rs[61] + MM_SET1(c[2])*rs[34] - MM_SET1(c[1])*rs[151] + MM_SET1(c[2])*rs[124] - MM_SET1(c[1])*rs[241] + MM_SET1(c[2])*rs[214]; GOUT_SCATTER(gout, n*48+3, r1);
r1 = + MM_SET1(c[1])*rs[159] - MM_SET1(c[2])*rs[132] - MM_SET1(c[1])*rs[231] + MM_SET1(c[2])*rs[204] - MM_SET1(c[1])*rs[155] + MM_SET1(c[2])*rs[128] + MM_SET1(c[1])*rs[227] - MM_SET1(c[2])*rs[200]; GOUT_SCATTER(gout, n*48+4, r1);
r1 = + MM_SET1(c[1])*rs[222] - MM_SET1(c[2])*rs[195] - MM_SET1(c[1])*rs[78] + MM_SET1(c[2])*rs[51] - MM_SET1(c[1])*rs[218] + MM_SET1(c[2])*rs[191] + MM_SET1(c[1])*rs[74] - MM_SET1(c[2])*rs[47]; GOUT_SCATTER(gout, n*48+5, r1);
r1 = + MM_SET1(c[1])*rs[69] - MM_SET1(c[2])*rs[42] - MM_SET1(c[1])*rs[141] + MM_SET1(c[2])*rs[114] - MM_SET1(c[1])*rs[65] + MM_SET1(c[2])*rs[38] + MM_SET1(c[1])*rs[137] - MM_SET1(c[2])*rs[110]; GOUT_SCATTER(gout, n*48+6, r1);
r1 = + MM_SET1(c[1])*rs[60] - MM_SET1(c[2])*rs[33] + MM_SET1(c[1])*rs[150] - MM_SET1(c[2])*rs[123] + MM_SET1(c[1])*rs[240] - MM_SET1(c[2])*rs[213] - MM_SET1(c[1])*rs[56] + MM_SET1(c[2])*rs[29] - MM_SET1(c[1])*rs[146] + MM_SET1(c[2])*rs[119] - MM_SET1(c[1])*rs[236] + MM_SET1(c[2])*rs[209]; GOUT_SCATTER(gout, n*48+7, r1);
r1 = + MM_SET1(c[1])*rs[154] - MM_SET1(c[2])*rs[127] - MM_SET1(c[1])*rs[226] + MM_SET1(c[2])*rs[199] - MM_SET1(c[1])*rs[156] + MM_SET1(c[2])*rs[129] + MM_SET1(c[1])*rs[228] - MM_SET1(c[2])*rs[201]; GOUT_SCATTER(gout, n*48+8, r1);
r1 = + MM_SET1(c[1])*rs[217] - MM_SET1(c[2])*rs[190] - MM_SET1(c[1])*rs[73] + MM_SET1(c[2])*rs[46] - MM_SET1(c[1])*rs[219] + MM_SET1(c[2])*rs[192] + MM_SET1(c[1])*rs[75] - MM_SET1(c[2])*rs[48]; GOUT_SCATTER(gout, n*48+9, r1);
r1 = + MM_SET1(c[1])*rs[64] - MM_SET1(c[2])*rs[37] - MM_SET1(c[1])*rs[136] + MM_SET1(c[2])*rs[109] - MM_SET1(c[1])*rs[66] + MM_SET1(c[2])*rs[39] + MM_SET1(c[1])*rs[138] - MM_SET1(c[2])*rs[111]; GOUT_SCATTER(gout, n*48+10, r1);
r1 = + MM_SET1(c[1])*rs[55] - MM_SET1(c[2])*rs[28] + MM_SET1(c[1])*rs[145] - MM_SET1(c[2])*rs[118] + MM_SET1(c[1])*rs[235] - MM_SET1(c[2])*rs[208] - MM_SET1(c[1])*rs[57] + MM_SET1(c[2])*rs[30] - MM_SET1(c[1])*rs[147] + MM_SET1(c[2])*rs[120] - MM_SET1(c[1])*rs[237] + MM_SET1(c[2])*rs[210]; GOUT_SCATTER(gout, n*48+11, r1);
r1 = + MM_SET1(c[1])*rs[153] - MM_SET1(c[2])*rs[126] - MM_SET1(c[1])*rs[225] + MM_SET1(c[2])*rs[198] + MM_SET1(c[1])*rs[157] - MM_SET1(c[2])*rs[130] - MM_SET1(c[1])*rs[229] + MM_SET1(c[2])*rs[202] + MM_SET1(c[1])*rs[161] - MM_SET1(c[2])*rs[134] - MM_SET1(c[1])*rs[233] + MM_SET1(c[2])*rs[206]; GOUT_SCATTER(gout, n*48+12, r1);
r1 = + MM_SET1(c[1])*rs[216] - MM_SET1(c[2])*rs[189] - MM_SET1(c[1])*rs[72] + MM_SET1(c[2])*rs[45] + MM_SET1(c[1])*rs[220] - MM_SET1(c[2])*rs[193] - MM_SET1(c[1])*rs[76] + MM_SET1(c[2])*rs[49] + MM_SET1(c[1])*rs[224] - MM_SET1(c[2])*rs[197] - MM_SET1(c[1])*rs[80] + MM_SET1(c[2])*rs[53]; GOUT_SCATTER(gout, n*48+13, r1);
r1 = + MM_SET1(c[1])*rs[63] - MM_SET1(c[2])*rs[36] - MM_SET1(c[1])*rs[135] + MM_SET1(c[2])*rs[108] + MM_SET1(c[1])*rs[67] - MM_SET1(c[2])*rs[40] - MM_SET1(c[1])*rs[139] + MM_SET1(c[2])*rs[112] + MM_SET1(c[1])*rs[71] - MM_SET1(c[2])*rs[44] - MM_SET1(c[1])*rs[143] + MM_SET1(c[2])*rs[116]; GOUT_SCATTER(gout, n*48+14, r1);
r1 = + MM_SET1(c[1])*rs[54] - MM_SET1(c[2])*rs[27] + MM_SET1(c[1])*rs[144] - MM_SET1(c[2])*rs[117] + MM_SET1(c[1])*rs[234] - MM_SET1(c[2])*rs[207] + MM_SET1(c[1])*rs[58] - MM_SET1(c[2])*rs[31] + MM_SET1(c[1])*rs[148] - MM_SET1(c[2])*rs[121] + MM_SET1(c[1])*rs[238] - MM_SET1(c[2])*rs[211] + MM_SET1(c[1])*rs[62] - MM_SET1(c[2])*rs[35] + MM_SET1(c[1])*rs[152] - MM_SET1(c[2])*rs[125] + MM_SET1(c[1])*rs[242] - MM_SET1(c[2])*rs[215]; GOUT_SCATTER(gout, n*48+15, r1);
r1 = + MM_SET1(c[2])*rs[104] - MM_SET1(c[0])*rs[158] - MM_SET1(c[2])*rs[176] + MM_SET1(c[0])*rs[230] - MM_SET1(c[2])*rs[106] + MM_SET1(c[0])*rs[160] + MM_SET1(c[2])*rs[178] - MM_SET1(c[0])*rs[232]; GOUT_SCATTER(gout, n*48+16, r1);
r1 = + MM_SET1(c[2])*rs[167] - MM_SET1(c[0])*rs[221] - MM_SET1(c[2])*rs[23] + MM_SET1(c[0])*rs[77] - MM_SET1(c[2])*rs[169] + MM_SET1(c[0])*rs[223] + MM_SET1(c[2])*rs[25] - MM_SET1(c[0])*rs[79]; GOUT_SCATTER(gout, n*48+17, r1);
r1 = + MM_SET1(c[2])*rs[14] - MM_SET1(c[0])*rs[68] - MM_SET1(c[2])*rs[86] + MM_SET1(c[0])*rs[140] - MM_SET1(c[2])*rs[16] + MM_SET1(c[0])*rs[70] + MM_SET1(c[2])*rs[88] - MM_SET1(c[0])*rs[142]; GOUT_SCATTER(gout, n*48+18, r1);
r1 = + MM_SET1(c[2])*rs[5] - MM_SET1(c[0])*rs[59] + MM_SET1(c[2])*rs[95] - MM_SET1(c[0])*rs[149] + MM_SET1(c[2])*rs[185] - MM_SET1(c[0])*rs[239] - MM_SET1(c[2])*rs[7] + MM_SET1(c[0])*rs[61] - MM_SET1(c[2])*rs[97] + MM_SET1(c[0])*rs[151] - MM_SET1(c[2])*rs[187] + MM_SET1(c[0])*rs[241]; GOUT_SCATTER(gout, n*48+19, r1);
r1 = + MM_SET1(c[2])*rs[105] - MM_SET1(c[0])*rs[159] - MM_SET1(c[2])*rs[177] + MM_SET1(c[0])*rs[231] - MM_SET1(c[2])*rs[101] + MM_SET1(c[0])*rs[155] + MM_SET1(c[2])*rs[173] - MM_SET1(c[0])*rs[227]; GOUT_SCATTER(gout, n*48+20, r1);
r1 = + MM_SET1(c[2])*rs[168] - MM_SET1(c[0])*rs[222] - MM_SET1(c[2])*rs[24] + MM_SET1(c[0])*rs[78] - MM_SET1(c[2])*rs[164] + MM_SET1(c[0])*rs[218] + MM_SET1(c[2])*rs[20] - MM_SET1(c[0])*rs[74]; GOUT_SCATTER(gout, n*48+21, r1);
r1 = + MM_SET1(c[2])*rs[15] - MM_SET1(c[0])*rs[69] - MM_SET1(c[2])*rs[87] + MM_SET1(c[0])*rs[141] - MM_SET1(c[2])*rs[11] + MM_SET1(c[0])*rs[65] + MM_SET1(c[2])*rs[83] - MM_SET1(c[0])*rs[137]; GOUT_SCATTER(gout, n*48+22, r1);
r1 = + MM_SET1(c[2])*rs[6] - MM_SET1(c[0])*rs[60] + MM_SET1(c[2])*rs[96] - MM_SET1(c[0])*rs[150] + MM_SET1(c[2])*rs[186] - MM_SET1(c[0])*rs[240] - MM_SET1(c[2])*rs[2] + MM_SET1(c[0])*rs[56] - MM_SET1(c[2])*rs[92] + MM_SET1(c[0])*rs[146] - MM_SET1(c[2])*rs[182] + MM_SET1(c[0])*rs[236]; GOUT_SCATTER(gout, n*48+23, r1);
r1 = + MM_SET1(c[2])*rs[100] - MM_SET1(c[0])*rs[154] - MM_SET1(c[2])*rs[172] + MM_SET1(c[0])*rs[226] - MM_SET1(c[2])*rs[102] + MM_SET1(c[0])*rs[156] + MM_SET1(c[2])*rs[174] - MM_SET1(c[0])*rs[228]; GOUT_SCATTER(gout, n*48+24, r1);
r1 = + MM_SET1(c[2])*rs[163] - MM_SET1(c[0])*rs[217] - MM_SET1(c[2])*rs[19] + MM_SET1(c[0])*rs[73] - MM_SET1(c[2])*rs[165] + MM_SET1(c[0])*rs[219] + MM_SET1(c[2])*rs[21] - MM_SET1(c[0])*rs[75]; GOUT_SCATTER(gout, n*48+25, r1);
r1 = + MM_SET1(c[2])*rs[10] - MM_SET1(c[0])*rs[64] - MM_SET1(c[2])*rs[82] + MM_SET1(c[0])*rs[136] - MM_SET1(c[2])*rs[12] + MM_SET1(c[0])*rs[66] + MM_SET1(c[2])*rs[84] - MM_SET1(c[0])*rs[138]; GOUT_SCATTER(gout, n*48+26, r1);
r1 = + MM_SET1(c[2])*rs[1] - MM_SET1(c[0])*rs[55] + MM_SET1(c[2])*rs[91] - MM_SET1(c[0])*rs[145] + MM_SET1(c[2])*rs[181] - MM_SET1(c[0])*rs[235] - MM_SET1(c[2])*rs[3] + MM_SET1(c[0])*rs[57] - MM_SET1(c[2])*rs[93] + MM_SET1(c[0])*rs[147] - MM_SET1(c[2])*rs[183] + MM_SET1(c[0])*rs[237]; GOUT_SCATTER(gout, n*48+27, r1);
r1 = + MM_SET1(c[2])*rs[99] - MM_SET1(c[0])*rs[153] - MM_SET1(c[2])*rs[171] + MM_SET1(c[0])*rs[225] + MM_SET1(c[2])*rs[103] - MM_SET1(c[0])*rs[157] - MM_SET1(c[2])*rs[175] + MM_SET1(c[0])*rs[229] + MM_SET1(c[2])*rs[107] - MM_SET1(c[0])*rs[161] - MM_SET1(c[2])*rs[179] + MM_SET1(c[0])*rs[233]; GOUT_SCATTER(gout, n*48+28, r1);
r1 = + MM_SET1(c[2])*rs[162] - MM_SET1(c[0])*rs[216] - MM_SET1(c[2])*rs[18] + MM_SET1(c[0])*rs[72] + MM_SET1(c[2])*rs[166] - MM_SET1(c[0])*rs[220] - MM_SET1(c[2])*rs[22] + MM_SET1(c[0])*rs[76] + MM_SET1(c[2])*rs[170] - MM_SET1(c[0])*rs[224] - MM_SET1(c[2])*rs[26] + MM_SET1(c[0])*rs[80]; GOUT_SCATTER(gout, n*48+29, r1);
r1 = + MM_SET1(c[2])*rs[9] - MM_SET1(c[0])*rs[63] - MM_SET1(c[2])*rs[81] + MM_SET1(c[0])*rs[135] + MM_SET1(c[2])*rs[13] - MM_SET1(c[0])*rs[67] - MM_SET1(c[2])*rs[85] + MM_SET1(c[0])*rs[139] + MM_SET1(c[2])*rs[17] - MM_SET1(c[0])*rs[71] - MM_SET1(c[2])*rs[89] + MM_SET1(c[0])*rs[143]; GOUT_SCATTER(gout, n*48+30, r1);
r1 = + MM_SET1(c[2])*rs[0] - MM_SET1(c[0])*rs[54] + MM_SET1(c[2])*rs[90] - MM_SET1(c[0])*rs[144] + MM_SET1(c[2])*rs[180] - MM_SET1(c[0])*rs[234] + MM_SET1(c[2])*rs[4] - MM_SET1(c[0])*rs[58] + MM_SET1(c[2])*rs[94] - MM_SET1(c[0])*rs[148] + MM_SET1(c[2])*rs[184] - MM_SET1(c[0])*rs[238] + MM_SET1(c[2])*rs[8] - MM_SET1(c[0])*rs[62] + MM_SET1(c[2])*rs[98] - MM_SET1(c[0])*rs[152] + MM_SET1(c[2])*rs[188] - MM_SET1(c[0])*rs[242]; GOUT_SCATTER(gout, n*48+31, r1);
r1 = + MM_SET1(c[0])*rs[131] - MM_SET1(c[1])*rs[104] - MM_SET1(c[0])*rs[203] + MM_SET1(c[1])*rs[176] - MM_SET1(c[0])*rs[133] + MM_SET1(c[1])*rs[106] + MM_SET1(c[0])*rs[205] - MM_SET1(c[1])*rs[178]; GOUT_SCATTER(gout, n*48+32, r1);
r1 = + MM_SET1(c[0])*rs[194] - MM_SET1(c[1])*rs[167] - MM_SET1(c[0])*rs[50] + MM_SET1(c[1])*rs[23] - MM_SET1(c[0])*rs[196] + MM_SET1(c[1])*rs[169] + MM_SET1(c[0])*rs[52] - MM_SET1(c[1])*rs[25]; GOUT_SCATTER(gout, n*48+33, r1);
r1 = + MM_SET1(c[0])*rs[41] - MM_SET1(c[1])*rs[14] - MM_SET1(c[0])*rs[113] + MM_SET1(c[1])*rs[86] - MM_SET1(c[0])*rs[43] + MM_SET1(c[1])*rs[16] + MM_SET1(c[0])*rs[115] - MM_SET1(c[1])*rs[88]; GOUT_SCATTER(gout, n*48+34, r1);
r1 = + MM_SET1(c[0])*rs[32] - MM_SET1(c[1])*rs[5] + MM_SET1(c[0])*rs[122] - MM_SET1(c[1])*rs[95] + MM_SET1(c[0])*rs[212] - MM_SET1(c[1])*rs[185] - MM_SET1(c[0])*rs[34] + MM_SET1(c[1])*rs[7] - MM_SET1(c[0])*rs[124] + MM_SET1(c[1])*rs[97] - MM_SET1(c[0])*rs[214] + MM_SET1(c[1])*rs[187]; GOUT_SCATTER(gout, n*48+35, r1);
r1 = + MM_SET1(c[0])*rs[132] - MM_SET1(c[1])*rs[105] - MM_SET1(c[0])*rs[204] + MM_SET1(c[1])*rs[177] - MM_SET1(c[0])*rs[128] + MM_SET1(c[1])*rs[101] + MM_SET1(c[0])*rs[200] - MM_SET1(c[1])*rs[173]; GOUT_SCATTER(gout, n*48+36, r1);
r1 = + MM_SET1(c[0])*rs[195] - MM_SET1(c[1])*rs[168] - MM_SET1(c[0])*rs[51] + MM_SET1(c[1])*rs[24] - MM_SET1(c[0])*rs[191] + MM_SET1(c[1])*rs[164] + MM_SET1(c[0])*rs[47] - MM_SET1(c[1])*rs[20]; GOUT_SCATTER(gout, n*48+37, r1);
r1 = + MM_SET1(c[0])*rs[42] - MM_SET1(c[1])*rs[15] - MM_SET1(c[0])*rs[114] + MM_SET1(c[1])*rs[87] - MM_SET1(c[0])*rs[38] + MM_SET1(c[1])*rs[11] + MM_SET1(c[0])*rs[110] - MM_SET1(c[1])*rs[83]; GOUT_SCATTER(gout, n*48+38, r1);
r1 = + MM_SET1(c[0])*rs[33] - MM_SET1(c[1])*rs[6] + MM_SET1(c[0])*rs[123] - MM_SET1(c[1])*rs[96] + MM_SET1(c[0])*rs[213] - MM_SET1(c[1])*rs[186] - MM_SET1(c[0])*rs[29] + MM_SET1(c[1])*rs[2] - MM_SET1(c[0])*rs[119] + MM_SET1(c[1])*rs[92] - MM_SET1(c[0])*rs[209] + MM_SET1(c[1])*rs[182]; GOUT_SCATTER(gout, n*48+39, r1);
r1 = + MM_SET1(c[0])*rs[127] - MM_SET1(c[1])*rs[100] - MM_SET1(c[0])*rs[199] + MM_SET1(c[1])*rs[172] - MM_SET1(c[0])*rs[129] + MM_SET1(c[1])*rs[102] + MM_SET1(c[0])*rs[201] - MM_SET1(c[1])*rs[174]; GOUT_SCATTER(gout, n*48+40, r1);
r1 = + MM_SET1(c[0])*rs[190] - MM_SET1(c[1])*rs[163] - MM_SET1(c[0])*rs[46] + MM_SET1(c[1])*rs[19] - MM_SET1(c[0])*rs[192] + MM_SET1(c[1])*rs[165] + MM_SET1(c[0])*rs[48] - MM_SET1(c[1])*rs[21]; GOUT_SCATTER(gout, n*48+41, r1);
r1 = + MM_SET1(c[0])*rs[37] - MM_SET1(c[1])*rs[10] - MM_SET1(c[0])*rs[109] + MM_SET1(c[1])*rs[82] - MM_SET1(c[0])*rs[39] + MM_SET1(c[1])*rs[12] + MM_SET1(c[0])*rs[111] - MM_SET1(c[1])*rs[84]; GOUT_SCATTER(gout, n*48+42, r1);
r1 = + MM_SET1(c[0])*rs[28] - MM_SET1(c[1])*rs[1] + MM_SET1(c[0])*rs[118] - MM_SET1(c[1])*rs[91] + MM_SET1(c[0])*rs[208] - MM_SET1(c[1])*rs[181] - MM_SET1(c[0])*rs[30] + MM_SET1(c[1])*rs[3] - MM_SET1(c[0])*rs[120] + MM_SET1(c[1])*rs[93] - MM_SET1(c[0])*rs[210] + MM_SET1(c[1])*rs[183]; GOUT_SCATTER(gout, n*48+43, r1);
r1 = + MM_SET1(c[0])*rs[126] - MM_SET1(c[1])*rs[99] - MM_SET1(c[0])*rs[198] + MM_SET1(c[1])*rs[171] + MM_SET1(c[0])*rs[130] - MM_SET1(c[1])*rs[103] - MM_SET1(c[0])*rs[202] + MM_SET1(c[1])*rs[175] + MM_SET1(c[0])*rs[134] - MM_SET1(c[1])*rs[107] - MM_SET1(c[0])*rs[206] + MM_SET1(c[1])*rs[179]; GOUT_SCATTER(gout, n*48+44, r1);
r1 = + MM_SET1(c[0])*rs[189] - MM_SET1(c[1])*rs[162] - MM_SET1(c[0])*rs[45] + MM_SET1(c[1])*rs[18] + MM_SET1(c[0])*rs[193] - MM_SET1(c[1])*rs[166] - MM_SET1(c[0])*rs[49] + MM_SET1(c[1])*rs[22] + MM_SET1(c[0])*rs[197] - MM_SET1(c[1])*rs[170] - MM_SET1(c[0])*rs[53] + MM_SET1(c[1])*rs[26]; GOUT_SCATTER(gout, n*48+45, r1);
r1 = + MM_SET1(c[0])*rs[36] - MM_SET1(c[1])*rs[9] - MM_SET1(c[0])*rs[108] + MM_SET1(c[1])*rs[81] + MM_SET1(c[0])*rs[40] - MM_SET1(c[1])*rs[13] - MM_SET1(c[0])*rs[112] + MM_SET1(c[1])*rs[85] + MM_SET1(c[0])*rs[44] - MM_SET1(c[1])*rs[17] - MM_SET1(c[0])*rs[116] + MM_SET1(c[1])*rs[89]; GOUT_SCATTER(gout, n*48+46, r1);
r1 = + MM_SET1(c[0])*rs[27] - MM_SET1(c[1])*rs[0] + MM_SET1(c[0])*rs[117] - MM_SET1(c[1])*rs[90] + MM_SET1(c[0])*rs[207] - MM_SET1(c[1])*rs[180] + MM_SET1(c[0])*rs[31] - MM_SET1(c[1])*rs[4] + MM_SET1(c[0])*rs[121] - MM_SET1(c[1])*rs[94] + MM_SET1(c[0])*rs[211] - MM_SET1(c[1])*rs[184] + MM_SET1(c[0])*rs[35] - MM_SET1(c[1])*rs[8] + MM_SET1(c[0])*rs[125] - MM_SET1(c[1])*rs[98] + MM_SET1(c[0])*rs[215] - MM_SET1(c[1])*rs[188]; GOUT_SCATTER(gout, n*48+47, r1);
}}
void CINTgout2e_int2e_spgsp1spsp2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
double *RESTRICT g16 = g15 + envs->g_size * 3 * SIMDD;
double *RESTRICT g17 = g16 + envs->g_size * 3 * SIMDD;
double *RESTRICT g18 = g17 + envs->g_size * 3 * SIMDD;
double *RESTRICT g19 = g18 + envs->g_size * 3 * SIMDD;
double *RESTRICT g20 = g19 + envs->g_size * 3 * SIMDD;
double *RESTRICT g21 = g20 + envs->g_size * 3 * SIMDD;
double *RESTRICT g22 = g21 + envs->g_size * 3 * SIMDD;
double *RESTRICT g23 = g22 + envs->g_size * 3 * SIMDD;
double *RESTRICT g24 = g23 + envs->g_size * 3 * SIMDD;
double *RESTRICT g25 = g24 + envs->g_size * 3 * SIMDD;
double *RESTRICT g26 = g25 + envs->g_size * 3 * SIMDD;
double *RESTRICT g27 = g26 + envs->g_size * 3 * SIMDD;
double *RESTRICT g28 = g27 + envs->g_size * 3 * SIMDD;
double *RESTRICT g29 = g28 + envs->g_size * 3 * SIMDD;
double *RESTRICT g30 = g29 + envs->g_size * 3 * SIMDD;
double *RESTRICT g31 = g30 + envs->g_size * 3 * SIMDD;
double rirj[3];
rirj[0] = envs->ri[0] - envs->rj[0];
rirj[1] = envs->ri[1] - envs->rj[1];
rirj[2] = envs->ri[2] - envs->rj[2];
double c[3];
c[0] = 1 * rirj[0];
c[1] = 1 * rirj[1];
c[2] = 1 * rirj[2];
G2E_D_L_SIMD1(g1, g0, envs->i_l+2, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K_SIMD1(g2, g0, envs->i_l+2, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K_SIMD1(g3, g1, envs->i_l+2, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J_SIMD1(g4, g0, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g5, g1, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g6, g2, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g7, g3, envs->i_l+2, envs->j_l+0, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g8, g0, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g9, g1, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g10, g2, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g11, g3, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g12, g4, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g13, g5, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g14, g6, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_R0I_SIMD1(g15, g7, envs->i_l+1, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g16, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g17, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g18, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g19, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g20, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g21, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g22, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g23, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g24, g8, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g25, g9, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g26, g10, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g27, g11, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g28, g12, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g29, g13, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g30, g14, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g31, g15, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[243];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 243; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g31[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g30[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g30[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g29[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g28[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g28[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g29[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g28[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g28[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g27[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g26[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g26[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g25[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g24[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g24[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g25[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g24[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g24[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g27[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g26[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g26[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g25[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g24[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g24[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g25[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g24[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g24[ix+i] * g0[iy+i] * g7[iz+i];
s[27] += g23[ix+i] * g8[iy+i] * g0[iz+i];
s[28] += g22[ix+i] * g9[iy+i] * g0[iz+i];
s[29] += g22[ix+i] * g8[iy+i] * g1[iz+i];
s[30] += g21[ix+i] * g10[iy+i] * g0[iz+i];
s[31] += g20[ix+i] * g11[iy+i] * g0[iz+i];
s[32] += g20[ix+i] * g10[iy+i] * g1[iz+i];
s[33] += g21[ix+i] * g8[iy+i] * g2[iz+i];
s[34] += g20[ix+i] * g9[iy+i] * g2[iz+i];
s[35] += g20[ix+i] * g8[iy+i] * g3[iz+i];
s[36] += g19[ix+i] * g12[iy+i] * g0[iz+i];
s[37] += g18[ix+i] * g13[iy+i] * g0[iz+i];
s[38] += g18[ix+i] * g12[iy+i] * g1[iz+i];
s[39] += g17[ix+i] * g14[iy+i] * g0[iz+i];
s[40] += g16[ix+i] * g15[iy+i] * g0[iz+i];
s[41] += g16[ix+i] * g14[iy+i] * g1[iz+i];
s[42] += g17[ix+i] * g12[iy+i] * g2[iz+i];
s[43] += g16[ix+i] * g13[iy+i] * g2[iz+i];
s[44] += g16[ix+i] * g12[iy+i] * g3[iz+i];
s[45] += g19[ix+i] * g8[iy+i] * g4[iz+i];
s[46] += g18[ix+i] * g9[iy+i] * g4[iz+i];
s[47] += g18[ix+i] * g8[iy+i] * g5[iz+i];
s[48] += g17[ix+i] * g10[iy+i] * g4[iz+i];
s[49] += g16[ix+i] * g11[iy+i] * g4[iz+i];
s[50] += g16[ix+i] * g10[iy+i] * g5[iz+i];
s[51] += g17[ix+i] * g8[iy+i] * g6[iz+i];
s[52] += g16[ix+i] * g9[iy+i] * g6[iz+i];
s[53] += g16[ix+i] * g8[iy+i] * g7[iz+i];
s[54] += g23[ix+i] * g0[iy+i] * g8[iz+i];
s[55] += g22[ix+i] * g1[iy+i] * g8[iz+i];
s[56] += g22[ix+i] * g0[iy+i] * g9[iz+i];
s[57] += g21[ix+i] * g2[iy+i] * g8[iz+i];
s[58] += g20[ix+i] * g3[iy+i] * g8[iz+i];
s[59] += g20[ix+i] * g2[iy+i] * g9[iz+i];
s[60] += g21[ix+i] * g0[iy+i] * g10[iz+i];
s[61] += g20[ix+i] * g1[iy+i] * g10[iz+i];
s[62] += g20[ix+i] * g0[iy+i] * g11[iz+i];
s[63] += g19[ix+i] * g4[iy+i] * g8[iz+i];
s[64] += g18[ix+i] * g5[iy+i] * g8[iz+i];
s[65] += g18[ix+i] * g4[iy+i] * g9[iz+i];
s[66] += g17[ix+i] * g6[iy+i] * g8[iz+i];
s[67] += g16[ix+i] * g7[iy+i] * g8[iz+i];
s[68] += g16[ix+i] * g6[iy+i] * g9[iz+i];
s[69] += g17[ix+i] * g4[iy+i] * g10[iz+i];
s[70] += g16[ix+i] * g5[iy+i] * g10[iz+i];
s[71] += g16[ix+i] * g4[iy+i] * g11[iz+i];
s[72] += g19[ix+i] * g0[iy+i] * g12[iz+i];
s[73] += g18[ix+i] * g1[iy+i] * g12[iz+i];
s[74] += g18[ix+i] * g0[iy+i] * g13[iz+i];
s[75] += g17[ix+i] * g2[iy+i] * g12[iz+i];
s[76] += g16[ix+i] * g3[iy+i] * g12[iz+i];
s[77] += g16[ix+i] * g2[iy+i] * g13[iz+i];
s[78] += g17[ix+i] * g0[iy+i] * g14[iz+i];
s[79] += g16[ix+i] * g1[iy+i] * g14[iz+i];
s[80] += g16[ix+i] * g0[iy+i] * g15[iz+i];
s[81] += g15[ix+i] * g16[iy+i] * g0[iz+i];
s[82] += g14[ix+i] * g17[iy+i] * g0[iz+i];
s[83] += g14[ix+i] * g16[iy+i] * g1[iz+i];
s[84] += g13[ix+i] * g18[iy+i] * g0[iz+i];
s[85] += g12[ix+i] * g19[iy+i] * g0[iz+i];
s[86] += g12[ix+i] * g18[iy+i] * g1[iz+i];
s[87] += g13[ix+i] * g16[iy+i] * g2[iz+i];
s[88] += g12[ix+i] * g17[iy+i] * g2[iz+i];
s[89] += g12[ix+i] * g16[iy+i] * g3[iz+i];
s[90] += g11[ix+i] * g20[iy+i] * g0[iz+i];
s[91] += g10[ix+i] * g21[iy+i] * g0[iz+i];
s[92] += g10[ix+i] * g20[iy+i] * g1[iz+i];
s[93] += g9[ix+i] * g22[iy+i] * g0[iz+i];
s[94] += g8[ix+i] * g23[iy+i] * g0[iz+i];
s[95] += g8[ix+i] * g22[iy+i] * g1[iz+i];
s[96] += g9[ix+i] * g20[iy+i] * g2[iz+i];
s[97] += g8[ix+i] * g21[iy+i] * g2[iz+i];
s[98] += g8[ix+i] * g20[iy+i] * g3[iz+i];
s[99] += g11[ix+i] * g16[iy+i] * g4[iz+i];
s[100] += g10[ix+i] * g17[iy+i] * g4[iz+i];
s[101] += g10[ix+i] * g16[iy+i] * g5[iz+i];
s[102] += g9[ix+i] * g18[iy+i] * g4[iz+i];
s[103] += g8[ix+i] * g19[iy+i] * g4[iz+i];
s[104] += g8[ix+i] * g18[iy+i] * g5[iz+i];
s[105] += g9[ix+i] * g16[iy+i] * g6[iz+i];
s[106] += g8[ix+i] * g17[iy+i] * g6[iz+i];
s[107] += g8[ix+i] * g16[iy+i] * g7[iz+i];
s[108] += g7[ix+i] * g24[iy+i] * g0[iz+i];
s[109] += g6[ix+i] * g25[iy+i] * g0[iz+i];
s[110] += g6[ix+i] * g24[iy+i] * g1[iz+i];
s[111] += g5[ix+i] * g26[iy+i] * g0[iz+i];
s[112] += g4[ix+i] * g27[iy+i] * g0[iz+i];
s[113] += g4[ix+i] * g26[iy+i] * g1[iz+i];
s[114] += g5[ix+i] * g24[iy+i] * g2[iz+i];
s[115] += g4[ix+i] * g25[iy+i] * g2[iz+i];
s[116] += g4[ix+i] * g24[iy+i] * g3[iz+i];
s[117] += g3[ix+i] * g28[iy+i] * g0[iz+i];
s[118] += g2[ix+i] * g29[iy+i] * g0[iz+i];
s[119] += g2[ix+i] * g28[iy+i] * g1[iz+i];
s[120] += g1[ix+i] * g30[iy+i] * g0[iz+i];
s[121] += g0[ix+i] * g31[iy+i] * g0[iz+i];
s[122] += g0[ix+i] * g30[iy+i] * g1[iz+i];
s[123] += g1[ix+i] * g28[iy+i] * g2[iz+i];
s[124] += g0[ix+i] * g29[iy+i] * g2[iz+i];
s[125] += g0[ix+i] * g28[iy+i] * g3[iz+i];
s[126] += g3[ix+i] * g24[iy+i] * g4[iz+i];
s[127] += g2[ix+i] * g25[iy+i] * g4[iz+i];
s[128] += g2[ix+i] * g24[iy+i] * g5[iz+i];
s[129] += g1[ix+i] * g26[iy+i] * g4[iz+i];
s[130] += g0[ix+i] * g27[iy+i] * g4[iz+i];
s[131] += g0[ix+i] * g26[iy+i] * g5[iz+i];
s[132] += g1[ix+i] * g24[iy+i] * g6[iz+i];
s[133] += g0[ix+i] * g25[iy+i] * g6[iz+i];
s[134] += g0[ix+i] * g24[iy+i] * g7[iz+i];
s[135] += g7[ix+i] * g16[iy+i] * g8[iz+i];
s[136] += g6[ix+i] * g17[iy+i] * g8[iz+i];
s[137] += g6[ix+i] * g16[iy+i] * g9[iz+i];
s[138] += g5[ix+i] * g18[iy+i] * g8[iz+i];
s[139] += g4[ix+i] * g19[iy+i] * g8[iz+i];
s[140] += g4[ix+i] * g18[iy+i] * g9[iz+i];
s[141] += g5[ix+i] * g16[iy+i] * g10[iz+i];
s[142] += g4[ix+i] * g17[iy+i] * g10[iz+i];
s[143] += g4[ix+i] * g16[iy+i] * g11[iz+i];
s[144] += g3[ix+i] * g20[iy+i] * g8[iz+i];
s[145] += g2[ix+i] * g21[iy+i] * g8[iz+i];
s[146] += g2[ix+i] * g20[iy+i] * g9[iz+i];
s[147] += g1[ix+i] * g22[iy+i] * g8[iz+i];
s[148] += g0[ix+i] * g23[iy+i] * g8[iz+i];
s[149] += g0[ix+i] * g22[iy+i] * g9[iz+i];
s[150] += g1[ix+i] * g20[iy+i] * g10[iz+i];
s[151] += g0[ix+i] * g21[iy+i] * g10[iz+i];
s[152] += g0[ix+i] * g20[iy+i] * g11[iz+i];
s[153] += g3[ix+i] * g16[iy+i] * g12[iz+i];
s[154] += g2[ix+i] * g17[iy+i] * g12[iz+i];
s[155] += g2[ix+i] * g16[iy+i] * g13[iz+i];
s[156] += g1[ix+i] * g18[iy+i] * g12[iz+i];
s[157] += g0[ix+i] * g19[iy+i] * g12[iz+i];
s[158] += g0[ix+i] * g18[iy+i] * g13[iz+i];
s[159] += g1[ix+i] * g16[iy+i] * g14[iz+i];
s[160] += g0[ix+i] * g17[iy+i] * g14[iz+i];
s[161] += g0[ix+i] * g16[iy+i] * g15[iz+i];
s[162] += g15[ix+i] * g0[iy+i] * g16[iz+i];
s[163] += g14[ix+i] * g1[iy+i] * g16[iz+i];
s[164] += g14[ix+i] * g0[iy+i] * g17[iz+i];
s[165] += g13[ix+i] * g2[iy+i] * g16[iz+i];
s[166] += g12[ix+i] * g3[iy+i] * g16[iz+i];
s[167] += g12[ix+i] * g2[iy+i] * g17[iz+i];
s[168] += g13[ix+i] * g0[iy+i] * g18[iz+i];
s[169] += g12[ix+i] * g1[iy+i] * g18[iz+i];
s[170] += g12[ix+i] * g0[iy+i] * g19[iz+i];
s[171] += g11[ix+i] * g4[iy+i] * g16[iz+i];
s[172] += g10[ix+i] * g5[iy+i] * g16[iz+i];
s[173] += g10[ix+i] * g4[iy+i] * g17[iz+i];
s[174] += g9[ix+i] * g6[iy+i] * g16[iz+i];
s[175] += g8[ix+i] * g7[iy+i] * g16[iz+i];
s[176] += g8[ix+i] * g6[iy+i] * g17[iz+i];
s[177] += g9[ix+i] * g4[iy+i] * g18[iz+i];
s[178] += g8[ix+i] * g5[iy+i] * g18[iz+i];
s[179] += g8[ix+i] * g4[iy+i] * g19[iz+i];
s[180] += g11[ix+i] * g0[iy+i] * g20[iz+i];
s[181] += g10[ix+i] * g1[iy+i] * g20[iz+i];
s[182] += g10[ix+i] * g0[iy+i] * g21[iz+i];
s[183] += g9[ix+i] * g2[iy+i] * g20[iz+i];
s[184] += g8[ix+i] * g3[iy+i] * g20[iz+i];
s[185] += g8[ix+i] * g2[iy+i] * g21[iz+i];
s[186] += g9[ix+i] * g0[iy+i] * g22[iz+i];
s[187] += g8[ix+i] * g1[iy+i] * g22[iz+i];
s[188] += g8[ix+i] * g0[iy+i] * g23[iz+i];
s[189] += g7[ix+i] * g8[iy+i] * g16[iz+i];
s[190] += g6[ix+i] * g9[iy+i] * g16[iz+i];
s[191] += g6[ix+i] * g8[iy+i] * g17[iz+i];
s[192] += g5[ix+i] * g10[iy+i] * g16[iz+i];
s[193] += g4[ix+i] * g11[iy+i] * g16[iz+i];
s[194] += g4[ix+i] * g10[iy+i] * g17[iz+i];
s[195] += g5[ix+i] * g8[iy+i] * g18[iz+i];
s[196] += g4[ix+i] * g9[iy+i] * g18[iz+i];
s[197] += g4[ix+i] * g8[iy+i] * g19[iz+i];
s[198] += g3[ix+i] * g12[iy+i] * g16[iz+i];
s[199] += g2[ix+i] * g13[iy+i] * g16[iz+i];
s[200] += g2[ix+i] * g12[iy+i] * g17[iz+i];
s[201] += g1[ix+i] * g14[iy+i] * g16[iz+i];
s[202] += g0[ix+i] * g15[iy+i] * g16[iz+i];
s[203] += g0[ix+i] * g14[iy+i] * g17[iz+i];
s[204] += g1[ix+i] * g12[iy+i] * g18[iz+i];
s[205] += g0[ix+i] * g13[iy+i] * g18[iz+i];
s[206] += g0[ix+i] * g12[iy+i] * g19[iz+i];
s[207] += g3[ix+i] * g8[iy+i] * g20[iz+i];
s[208] += g2[ix+i] * g9[iy+i] * g20[iz+i];
s[209] += g2[ix+i] * g8[iy+i] * g21[iz+i];
s[210] += g1[ix+i] * g10[iy+i] * g20[iz+i];
s[211] += g0[ix+i] * g11[iy+i] * g20[iz+i];
s[212] += g0[ix+i] * g10[iy+i] * g21[iz+i];
s[213] += g1[ix+i] * g8[iy+i] * g22[iz+i];
s[214] += g0[ix+i] * g9[iy+i] * g22[iz+i];
s[215] += g0[ix+i] * g8[iy+i] * g23[iz+i];
s[216] += g7[ix+i] * g0[iy+i] * g24[iz+i];
s[217] += g6[ix+i] * g1[iy+i] * g24[iz+i];
s[218] += g6[ix+i] * g0[iy+i] * g25[iz+i];
s[219] += g5[ix+i] * g2[iy+i] * g24[iz+i];
s[220] += g4[ix+i] * g3[iy+i] * g24[iz+i];
s[221] += g4[ix+i] * g2[iy+i] * g25[iz+i];
s[222] += g5[ix+i] * g0[iy+i] * g26[iz+i];
s[223] += g4[ix+i] * g1[iy+i] * g26[iz+i];
s[224] += g4[ix+i] * g0[iy+i] * g27[iz+i];
s[225] += g3[ix+i] * g4[iy+i] * g24[iz+i];
s[226] += g2[ix+i] * g5[iy+i] * g24[iz+i];
s[227] += g2[ix+i] * g4[iy+i] * g25[iz+i];
s[228] += g1[ix+i] * g6[iy+i] * g24[iz+i];
s[229] += g0[ix+i] * g7[iy+i] * g24[iz+i];
s[230] += g0[ix+i] * g6[iy+i] * g25[iz+i];
s[231] += g1[ix+i] * g4[iy+i] * g26[iz+i];
s[232] += g0[ix+i] * g5[iy+i] * g26[iz+i];
s[233] += g0[ix+i] * g4[iy+i] * g27[iz+i];
s[234] += g3[ix+i] * g0[iy+i] * g28[iz+i];
s[235] += g2[ix+i] * g1[iy+i] * g28[iz+i];
s[236] += g2[ix+i] * g0[iy+i] * g29[iz+i];
s[237] += g1[ix+i] * g2[iy+i] * g28[iz+i];
s[238] += g0[ix+i] * g3[iy+i] * g28[iz+i];
s[239] += g0[ix+i] * g2[iy+i] * g29[iz+i];
s[240] += g1[ix+i] * g0[iy+i] * g30[iz+i];
s[241] += g0[ix+i] * g1[iy+i] * g30[iz+i];
s[242] += g0[ix+i] * g0[iy+i] * g31[iz+i];
}
gout[n*48+0] = + c[1]*s[158] - c[2]*s[131] - c[1]*s[230] + c[2]*s[203] - c[1]*s[160] + c[2]*s[133] + c[1]*s[232] - c[2]*s[205];
gout[n*48+1] = + c[1]*s[221] - c[2]*s[194] - c[1]*s[77] + c[2]*s[50] - c[1]*s[223] + c[2]*s[196] + c[1]*s[79] - c[2]*s[52];
gout[n*48+2] = + c[1]*s[68] - c[2]*s[41] - c[1]*s[140] + c[2]*s[113] - c[1]*s[70] + c[2]*s[43] + c[1]*s[142] - c[2]*s[115];
gout[n*48+3] = + c[1]*s[59] - c[2]*s[32] + c[1]*s[149] - c[2]*s[122] + c[1]*s[239] - c[2]*s[212] - c[1]*s[61] + c[2]*s[34] - c[1]*s[151] + c[2]*s[124] - c[1]*s[241] + c[2]*s[214];
gout[n*48+4] = + c[1]*s[159] - c[2]*s[132] - c[1]*s[231] + c[2]*s[204] - c[1]*s[155] + c[2]*s[128] + c[1]*s[227] - c[2]*s[200];
gout[n*48+5] = + c[1]*s[222] - c[2]*s[195] - c[1]*s[78] + c[2]*s[51] - c[1]*s[218] + c[2]*s[191] + c[1]*s[74] - c[2]*s[47];
gout[n*48+6] = + c[1]*s[69] - c[2]*s[42] - c[1]*s[141] + c[2]*s[114] - c[1]*s[65] + c[2]*s[38] + c[1]*s[137] - c[2]*s[110];
gout[n*48+7] = + c[1]*s[60] - c[2]*s[33] + c[1]*s[150] - c[2]*s[123] + c[1]*s[240] - c[2]*s[213] - c[1]*s[56] + c[2]*s[29] - c[1]*s[146] + c[2]*s[119] - c[1]*s[236] + c[2]*s[209];
gout[n*48+8] = + c[1]*s[154] - c[2]*s[127] - c[1]*s[226] + c[2]*s[199] - c[1]*s[156] + c[2]*s[129] + c[1]*s[228] - c[2]*s[201];
gout[n*48+9] = + c[1]*s[217] - c[2]*s[190] - c[1]*s[73] + c[2]*s[46] - c[1]*s[219] + c[2]*s[192] + c[1]*s[75] - c[2]*s[48];
gout[n*48+10] = + c[1]*s[64] - c[2]*s[37] - c[1]*s[136] + c[2]*s[109] - c[1]*s[66] + c[2]*s[39] + c[1]*s[138] - c[2]*s[111];
gout[n*48+11] = + c[1]*s[55] - c[2]*s[28] + c[1]*s[145] - c[2]*s[118] + c[1]*s[235] - c[2]*s[208] - c[1]*s[57] + c[2]*s[30] - c[1]*s[147] + c[2]*s[120] - c[1]*s[237] + c[2]*s[210];
gout[n*48+12] = + c[1]*s[153] - c[2]*s[126] - c[1]*s[225] + c[2]*s[198] + c[1]*s[157] - c[2]*s[130] - c[1]*s[229] + c[2]*s[202] + c[1]*s[161] - c[2]*s[134] - c[1]*s[233] + c[2]*s[206];
gout[n*48+13] = + c[1]*s[216] - c[2]*s[189] - c[1]*s[72] + c[2]*s[45] + c[1]*s[220] - c[2]*s[193] - c[1]*s[76] + c[2]*s[49] + c[1]*s[224] - c[2]*s[197] - c[1]*s[80] + c[2]*s[53];
gout[n*48+14] = + c[1]*s[63] - c[2]*s[36] - c[1]*s[135] + c[2]*s[108] + c[1]*s[67] - c[2]*s[40] - c[1]*s[139] + c[2]*s[112] + c[1]*s[71] - c[2]*s[44] - c[1]*s[143] + c[2]*s[116];
gout[n*48+15] = + c[1]*s[54] - c[2]*s[27] + c[1]*s[144] - c[2]*s[117] + c[1]*s[234] - c[2]*s[207] + c[1]*s[58] - c[2]*s[31] + c[1]*s[148] - c[2]*s[121] + c[1]*s[238] - c[2]*s[211] + c[1]*s[62] - c[2]*s[35] + c[1]*s[152] - c[2]*s[125] + c[1]*s[242] - c[2]*s[215];
gout[n*48+16] = + c[2]*s[104] - c[0]*s[158] - c[2]*s[176] + c[0]*s[230] - c[2]*s[106] + c[0]*s[160] + c[2]*s[178] - c[0]*s[232];
gout[n*48+17] = + c[2]*s[167] - c[0]*s[221] - c[2]*s[23] + c[0]*s[77] - c[2]*s[169] + c[0]*s[223] + c[2]*s[25] - c[0]*s[79];
gout[n*48+18] = + c[2]*s[14] - c[0]*s[68] - c[2]*s[86] + c[0]*s[140] - c[2]*s[16] + c[0]*s[70] + c[2]*s[88] - c[0]*s[142];
gout[n*48+19] = + c[2]*s[5] - c[0]*s[59] + c[2]*s[95] - c[0]*s[149] + c[2]*s[185] - c[0]*s[239] - c[2]*s[7] + c[0]*s[61] - c[2]*s[97] + c[0]*s[151] - c[2]*s[187] + c[0]*s[241];
gout[n*48+20] = + c[2]*s[105] - c[0]*s[159] - c[2]*s[177] + c[0]*s[231] - c[2]*s[101] + c[0]*s[155] + c[2]*s[173] - c[0]*s[227];
gout[n*48+21] = + c[2]*s[168] - c[0]*s[222] - c[2]*s[24] + c[0]*s[78] - c[2]*s[164] + c[0]*s[218] + c[2]*s[20] - c[0]*s[74];
gout[n*48+22] = + c[2]*s[15] - c[0]*s[69] - c[2]*s[87] + c[0]*s[141] - c[2]*s[11] + c[0]*s[65] + c[2]*s[83] - c[0]*s[137];
gout[n*48+23] = + c[2]*s[6] - c[0]*s[60] + c[2]*s[96] - c[0]*s[150] + c[2]*s[186] - c[0]*s[240] - c[2]*s[2] + c[0]*s[56] - c[2]*s[92] + c[0]*s[146] - c[2]*s[182] + c[0]*s[236];
gout[n*48+24] = + c[2]*s[100] - c[0]*s[154] - c[2]*s[172] + c[0]*s[226] - c[2]*s[102] + c[0]*s[156] + c[2]*s[174] - c[0]*s[228];
gout[n*48+25] = + c[2]*s[163] - c[0]*s[217] - c[2]*s[19] + c[0]*s[73] - c[2]*s[165] + c[0]*s[219] + c[2]*s[21] - c[0]*s[75];
gout[n*48+26] = + c[2]*s[10] - c[0]*s[64] - c[2]*s[82] + c[0]*s[136] - c[2]*s[12] + c[0]*s[66] + c[2]*s[84] - c[0]*s[138];
gout[n*48+27] = + c[2]*s[1] - c[0]*s[55] + c[2]*s[91] - c[0]*s[145] + c[2]*s[181] - c[0]*s[235] - c[2]*s[3] + c[0]*s[57] - c[2]*s[93] + c[0]*s[147] - c[2]*s[183] + c[0]*s[237];
gout[n*48+28] = + c[2]*s[99] - c[0]*s[153] - c[2]*s[171] + c[0]*s[225] + c[2]*s[103] - c[0]*s[157] - c[2]*s[175] + c[0]*s[229] + c[2]*s[107] - c[0]*s[161] - c[2]*s[179] + c[0]*s[233];
gout[n*48+29] = + c[2]*s[162] - c[0]*s[216] - c[2]*s[18] + c[0]*s[72] + c[2]*s[166] - c[0]*s[220] - c[2]*s[22] + c[0]*s[76] + c[2]*s[170] - c[0]*s[224] - c[2]*s[26] + c[0]*s[80];
gout[n*48+30] = + c[2]*s[9] - c[0]*s[63] - c[2]*s[81] + c[0]*s[135] + c[2]*s[13] - c[0]*s[67] - c[2]*s[85] + c[0]*s[139] + c[2]*s[17] - c[0]*s[71] - c[2]*s[89] + c[0]*s[143];
gout[n*48+31] = + c[2]*s[0] - c[0]*s[54] + c[2]*s[90] - c[0]*s[144] + c[2]*s[180] - c[0]*s[234] + c[2]*s[4] - c[0]*s[58] + c[2]*s[94] - c[0]*s[148] + c[2]*s[184] - c[0]*s[238] + c[2]*s[8] - c[0]*s[62] + c[2]*s[98] - c[0]*s[152] + c[2]*s[188] - c[0]*s[242];
gout[n*48+32] = + c[0]*s[131] - c[1]*s[104] - c[0]*s[203] + c[1]*s[176] - c[0]*s[133] + c[1]*s[106] + c[0]*s[205] - c[1]*s[178];
gout[n*48+33] = + c[0]*s[194] - c[1]*s[167] - c[0]*s[50] + c[1]*s[23] - c[0]*s[196] + c[1]*s[169] + c[0]*s[52] - c[1]*s[25];
gout[n*48+34] = + c[0]*s[41] - c[1]*s[14] - c[0]*s[113] + c[1]*s[86] - c[0]*s[43] + c[1]*s[16] + c[0]*s[115] - c[1]*s[88];
gout[n*48+35] = + c[0]*s[32] - c[1]*s[5] + c[0]*s[122] - c[1]*s[95] + c[0]*s[212] - c[1]*s[185] - c[0]*s[34] + c[1]*s[7] - c[0]*s[124] + c[1]*s[97] - c[0]*s[214] + c[1]*s[187];
gout[n*48+36] = + c[0]*s[132] - c[1]*s[105] - c[0]*s[204] + c[1]*s[177] - c[0]*s[128] + c[1]*s[101] + c[0]*s[200] - c[1]*s[173];
gout[n*48+37] = + c[0]*s[195] - c[1]*s[168] - c[0]*s[51] + c[1]*s[24] - c[0]*s[191] + c[1]*s[164] + c[0]*s[47] - c[1]*s[20];
gout[n*48+38] = + c[0]*s[42] - c[1]*s[15] - c[0]*s[114] + c[1]*s[87] - c[0]*s[38] + c[1]*s[11] + c[0]*s[110] - c[1]*s[83];
gout[n*48+39] = + c[0]*s[33] - c[1]*s[6] + c[0]*s[123] - c[1]*s[96] + c[0]*s[213] - c[1]*s[186] - c[0]*s[29] + c[1]*s[2] - c[0]*s[119] + c[1]*s[92] - c[0]*s[209] + c[1]*s[182];
gout[n*48+40] = + c[0]*s[127] - c[1]*s[100] - c[0]*s[199] + c[1]*s[172] - c[0]*s[129] + c[1]*s[102] + c[0]*s[201] - c[1]*s[174];
gout[n*48+41] = + c[0]*s[190] - c[1]*s[163] - c[0]*s[46] + c[1]*s[19] - c[0]*s[192] + c[1]*s[165] + c[0]*s[48] - c[1]*s[21];
gout[n*48+42] = + c[0]*s[37] - c[1]*s[10] - c[0]*s[109] + c[1]*s[82] - c[0]*s[39] + c[1]*s[12] + c[0]*s[111] - c[1]*s[84];
gout[n*48+43] = + c[0]*s[28] - c[1]*s[1] + c[0]*s[118] - c[1]*s[91] + c[0]*s[208] - c[1]*s[181] - c[0]*s[30] + c[1]*s[3] - c[0]*s[120] + c[1]*s[93] - c[0]*s[210] + c[1]*s[183];
gout[n*48+44] = + c[0]*s[126] - c[1]*s[99] - c[0]*s[198] + c[1]*s[171] + c[0]*s[130] - c[1]*s[103] - c[0]*s[202] + c[1]*s[175] + c[0]*s[134] - c[1]*s[107] - c[0]*s[206] + c[1]*s[179];
gout[n*48+45] = + c[0]*s[189] - c[1]*s[162] - c[0]*s[45] + c[1]*s[18] + c[0]*s[193] - c[1]*s[166] - c[0]*s[49] + c[1]*s[22] + c[0]*s[197] - c[1]*s[170] - c[0]*s[53] + c[1]*s[26];
gout[n*48+46] = + c[0]*s[36] - c[1]*s[9] - c[0]*s[108] + c[1]*s[81] + c[0]*s[40] - c[1]*s[13] - c[0]*s[112] + c[1]*s[85] + c[0]*s[44] - c[1]*s[17] - c[0]*s[116] + c[1]*s[89];
gout[n*48+47] = + c[0]*s[27] - c[1]*s[0] + c[0]*s[117] - c[1]*s[90] + c[0]*s[207] - c[1]*s[180] + c[0]*s[31] - c[1]*s[4] + c[0]*s[121] - c[1]*s[94] + c[0]*s[211] - c[1]*s[184] + c[0]*s[35] - c[1]*s[8] + c[0]*s[125] - c[1]*s[98] + c[0]*s[215] - c[1]*s[188];
}}
void int2e_spgsp1spsp2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {2, 1, 1, 1, 5, 4, 4, 3};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_spgsp1spsp2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {2, 1, 1, 1, 5, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spgsp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_spgsp1spsp2_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = envs.nfi * envs.x_ctr[0];
counts[1] = envs.nfj * envs.x_ctr[1];
counts[2] = envs.nfk * envs.x_ctr[2];
counts[3] = envs.nfl * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_spgsp1spsp2_cart
CACHE_SIZE_T int2e_spgsp1spsp2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {2, 1, 1, 1, 5, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spgsp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_spgsp1spsp2_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = (envs.i_l*2+1) * envs.x_ctr[0];
counts[1] = (envs.j_l*2+1) * envs.x_ctr[1];
counts[2] = (envs.k_l*2+1) * envs.x_ctr[2];
counts[3] = (envs.l_l*2+1) * envs.x_ctr[3];
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_e1 * envs.ncomp_e2 * envs.ncomp_tensor; i++) {
c2s_dset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_spgsp1spsp2_sph
CACHE_SIZE_T int2e_spgsp1spsp2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {2, 1, 1, 1, 5, 4, 4, 3};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_spgsp1spsp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_spgsp1spsp2_simd1;
envs.common_factor *= 0.5;
int i, nout;
int counts[4];
if (out != NULL && envs.shls[0] == envs.shls[1]) {
counts[0] = CINTcgto_spinor(envs.shls[0], envs.bas);
counts[1] = CINTcgto_spinor(envs.shls[1], envs.bas);
counts[2] = CINTcgto_spinor(envs.shls[2], envs.bas);
counts[3] = CINTcgto_spinor(envs.shls[3], envs.bas);
if (dims == NULL) { dims = counts; }
nout = dims[0] * dims[1] * dims[2] * dims[3];
for (i = 0; i < envs.ncomp_tensor; i++) {
c2s_zset0(out+nout*i, dims, counts); }
return 0; }
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_si_2e1i, &c2s_si_2e2);
} // int2e_spgsp1spsp2_spinor
ALL_CINT(int2e_spgsp1spsp2)
//ALL_CINT_FORTRAN_(cint2e_spgsp1spsp2)
/* <k P* i|R12 |DOT P j l> : i,j \in electron 1; k,l \in electron 2
 * = (P* i DOT P j|R12 |k l) */
void CINTgout2e_int2e_pp1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 1;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_J(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
break;
case 2:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
break;
case 3:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
break;
case 4:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g3+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g3+(iz+3)*SIMDD);
break;
default:
for (i = 0; i < 9; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
} break;}
r1 = + rs[0] + rs[4] + rs[8]; GOUT_SCATTER(gout, n*1+0, r1);
}}
void CINTgout2e_int2e_pp1_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_J_SIMD1(g1, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g2, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g3, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 9; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g3[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g2[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g2[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g1[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g0[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g0[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g1[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g0[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g0[ix+i] * g0[iy+i] * g3[iz+i];
}
gout[n*1+0] = + s[0] + s[4] + s[8];
}}
void int2e_pp1_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 0, 0, 2, 1, 1, 1};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_pp1_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp1_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_pp1_cart
CACHE_SIZE_T int2e_pp1_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp1_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_pp1_sph
CACHE_SIZE_T int2e_pp1_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 0, 0, 2, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp1;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp1_simd1;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_sf_2e1, &c2s_sf_2e2);
} // int2e_pp1_spinor
ALL_CINT(int2e_pp1)
//ALL_CINT_FORTRAN_(cint2e_pp1)
/* <P* k i|R12 |j DOT P l> : i,j \in electron 1; k,l \in electron 2
 * = (i j|R12 |P* k DOT P l) */
void CINTgout2e_int2e_pp2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 1;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_L(g1, g0, envs->i_l+0, envs->j_l+0, envs->k_l+1, envs->l_l+0);
G2E_D_K(g2, g0, envs->i_l+0, envs->j_l+0, envs->k_l+0, envs->l_l);
G2E_D_K(g3, g1, envs->i_l+0, envs->j_l+0, envs->k_l+0, envs->l_l);
__MD r1;
__MD rs[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
switch (nrys_roots) {
case 1:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
break;
case 2:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
break;
case 3:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
break;
case 4:
rs[0] = MM_LOAD(g3+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[0]+= MM_LOAD(g3+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[1] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[1]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[2] = MM_LOAD(g2+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[2]+= MM_LOAD(g2+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[3] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[3]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[4] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g3+iy*SIMDD) * MM_LOAD(g0+iz*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g3+(iy+1)*SIMDD) * MM_LOAD(g0+(iz+1)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g3+(iy+2)*SIMDD) * MM_LOAD(g0+(iz+2)*SIMDD);
rs[4]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g3+(iy+3)*SIMDD) * MM_LOAD(g0+(iz+3)*SIMDD);
rs[5] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g2+iy*SIMDD) * MM_LOAD(g1+iz*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g2+(iy+1)*SIMDD) * MM_LOAD(g1+(iz+1)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g2+(iy+2)*SIMDD) * MM_LOAD(g1+(iz+2)*SIMDD);
rs[5]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g2+(iy+3)*SIMDD) * MM_LOAD(g1+(iz+3)*SIMDD);
rs[6] = MM_LOAD(g1+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[6]+= MM_LOAD(g1+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[7] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g1+iy*SIMDD) * MM_LOAD(g2+iz*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g1+(iy+1)*SIMDD) * MM_LOAD(g2+(iz+1)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g1+(iy+2)*SIMDD) * MM_LOAD(g2+(iz+2)*SIMDD);
rs[7]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g1+(iy+3)*SIMDD) * MM_LOAD(g2+(iz+3)*SIMDD);
rs[8] = MM_LOAD(g0+ix*SIMDD) * MM_LOAD(g0+iy*SIMDD) * MM_LOAD(g3+iz*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+1)*SIMDD) * MM_LOAD(g0+(iy+1)*SIMDD) * MM_LOAD(g3+(iz+1)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+2)*SIMDD) * MM_LOAD(g0+(iy+2)*SIMDD) * MM_LOAD(g3+(iz+2)*SIMDD);
rs[8]+= MM_LOAD(g0+(ix+3)*SIMDD) * MM_LOAD(g0+(iy+3)*SIMDD) * MM_LOAD(g3+(iz+3)*SIMDD);
break;
default:
for (i = 0; i < 9; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
} break;}
r1 = + rs[0] + rs[4] + rs[8]; GOUT_SCATTER(gout, n*1+0, r1);
}}
void CINTgout2e_int2e_pp2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
G2E_D_L_SIMD1(g1, g0, envs->i_l+0, envs->j_l+0, envs->k_l+1, envs->l_l+0);
G2E_D_K_SIMD1(g2, g0, envs->i_l+0, envs->j_l+0, envs->k_l+0, envs->l_l);
G2E_D_K_SIMD1(g3, g1, envs->i_l+0, envs->j_l+0, envs->k_l+0, envs->l_l);
double s[9];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 9; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g3[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g2[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g2[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g1[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g0[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g0[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g1[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g0[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g0[ix+i] * g0[iy+i] * g3[iz+i];
}
gout[n*1+0] = + s[0] + s[4] + s[8];
}}
void int2e_pp2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {0, 0, 1, 1, 2, 1, 1, 1};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_pp2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {0, 0, 1, 1, 2, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_pp2_cart
CACHE_SIZE_T int2e_pp2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {0, 0, 1, 1, 2, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_pp2_sph
CACHE_SIZE_T int2e_pp2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {0, 0, 1, 1, 2, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp2_simd1;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_sf_2e1, &c2s_sf_2e2);
} // int2e_pp2_spinor
ALL_CINT(int2e_pp2)
//ALL_CINT_FORTRAN_(cint2e_pp2)
/* <P* k P* i|R12 |DOT P j DOT P l> : i,j \in electron 1; k,l \in electron 2
 * = (P* i DOT P j|R12 |P* k DOT P l) */
void CINTgout2e_int2e_pp1pp2(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nfc = nf * 1;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
DECLARE_GOUT;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_D_L(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
__MD r1;
__MD rs[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { rs[i] = MM_SET1(0.); }
for (i = 0; i < nrys_roots; i++) {
rs[0] += MM_LOAD(g15+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[1] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[2] += MM_LOAD(g14+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[3] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[4] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[5] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[6] += MM_LOAD(g13+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[7] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[8] += MM_LOAD(g12+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[9] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[10] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[11] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[12] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[13] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[14] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[15] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[16] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[17] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[18] += MM_LOAD(g11+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[19] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[20] += MM_LOAD(g10+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[21] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[22] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[23] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[24] += MM_LOAD(g9+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[25] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[26] += MM_LOAD(g8+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[27] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[28] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[29] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[30] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[31] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[32] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[33] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[34] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[35] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[36] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[37] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[38] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[39] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[40] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g15+(iy+i)*SIMDD) * MM_LOAD(g0+(iz+i)*SIMDD);
rs[41] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g14+(iy+i)*SIMDD) * MM_LOAD(g1+(iz+i)*SIMDD);
rs[42] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[43] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g13+(iy+i)*SIMDD) * MM_LOAD(g2+(iz+i)*SIMDD);
rs[44] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g12+(iy+i)*SIMDD) * MM_LOAD(g3+(iz+i)*SIMDD);
rs[45] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[46] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[47] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[48] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[49] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g11+(iy+i)*SIMDD) * MM_LOAD(g4+(iz+i)*SIMDD);
rs[50] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g10+(iy+i)*SIMDD) * MM_LOAD(g5+(iz+i)*SIMDD);
rs[51] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[52] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g9+(iy+i)*SIMDD) * MM_LOAD(g6+(iz+i)*SIMDD);
rs[53] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g8+(iy+i)*SIMDD) * MM_LOAD(g7+(iz+i)*SIMDD);
rs[54] += MM_LOAD(g7+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[55] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[56] += MM_LOAD(g6+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[57] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[58] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[59] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[60] += MM_LOAD(g5+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[61] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[62] += MM_LOAD(g4+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[63] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[64] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[65] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[66] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[67] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g7+(iy+i)*SIMDD) * MM_LOAD(g8+(iz+i)*SIMDD);
rs[68] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g6+(iy+i)*SIMDD) * MM_LOAD(g9+(iz+i)*SIMDD);
rs[69] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[70] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g5+(iy+i)*SIMDD) * MM_LOAD(g10+(iz+i)*SIMDD);
rs[71] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g4+(iy+i)*SIMDD) * MM_LOAD(g11+(iz+i)*SIMDD);
rs[72] += MM_LOAD(g3+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[73] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[74] += MM_LOAD(g2+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[75] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[76] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g3+(iy+i)*SIMDD) * MM_LOAD(g12+(iz+i)*SIMDD);
rs[77] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g2+(iy+i)*SIMDD) * MM_LOAD(g13+(iz+i)*SIMDD);
rs[78] += MM_LOAD(g1+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[79] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g1+(iy+i)*SIMDD) * MM_LOAD(g14+(iz+i)*SIMDD);
rs[80] += MM_LOAD(g0+(ix+i)*SIMDD) * MM_LOAD(g0+(iy+i)*SIMDD) * MM_LOAD(g15+(iz+i)*SIMDD);
}
r1 = + rs[0] + rs[36] + rs[72] + rs[4] + rs[40] + rs[76] + rs[8] + rs[44] + rs[80]; GOUT_SCATTER(gout, n*1+0, r1);
}}
void CINTgout2e_int2e_pp1pp2_simd1(double *RESTRICT gout,
double *RESTRICT g, int *RESTRICT idx, CINTEnvVars *envs) {
int nf = envs->nf;
int nrys_roots = envs->nrys_roots;
int ix, iy, iz, i, n;
double *RESTRICT g0 = g;
double *RESTRICT g1 = g0 + envs->g_size * 3 * SIMDD;
double *RESTRICT g2 = g1 + envs->g_size * 3 * SIMDD;
double *RESTRICT g3 = g2 + envs->g_size * 3 * SIMDD;
double *RESTRICT g4 = g3 + envs->g_size * 3 * SIMDD;
double *RESTRICT g5 = g4 + envs->g_size * 3 * SIMDD;
double *RESTRICT g6 = g5 + envs->g_size * 3 * SIMDD;
double *RESTRICT g7 = g6 + envs->g_size * 3 * SIMDD;
double *RESTRICT g8 = g7 + envs->g_size * 3 * SIMDD;
double *RESTRICT g9 = g8 + envs->g_size * 3 * SIMDD;
double *RESTRICT g10 = g9 + envs->g_size * 3 * SIMDD;
double *RESTRICT g11 = g10 + envs->g_size * 3 * SIMDD;
double *RESTRICT g12 = g11 + envs->g_size * 3 * SIMDD;
double *RESTRICT g13 = g12 + envs->g_size * 3 * SIMDD;
double *RESTRICT g14 = g13 + envs->g_size * 3 * SIMDD;
double *RESTRICT g15 = g14 + envs->g_size * 3 * SIMDD;
G2E_D_L_SIMD1(g1, g0, envs->i_l+1, envs->j_l+1, envs->k_l+1, envs->l_l+0);
G2E_D_K_SIMD1(g2, g0, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_K_SIMD1(g3, g1, envs->i_l+1, envs->j_l+1, envs->k_l+0, envs->l_l);
G2E_D_J_SIMD1(g4, g0, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g5, g1, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g6, g2, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_J_SIMD1(g7, g3, envs->i_l+1, envs->j_l+0, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g8, g0, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g9, g1, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g10, g2, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g11, g3, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g12, g4, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g13, g5, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g14, g6, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
G2E_D_I_SIMD1(g15, g7, envs->i_l+0, envs->j_l, envs->k_l, envs->l_l);
double s[81];
for (n = 0; n < nf; n++) {
ix = idx[0+n*3];
iy = idx[1+n*3];
iz = idx[2+n*3];
for (i = 0; i < 81; i++) { s[i] = 0; }
for (i = 0; i < nrys_roots; i++) {
s[0] += g15[ix+i] * g0[iy+i] * g0[iz+i];
s[1] += g14[ix+i] * g1[iy+i] * g0[iz+i];
s[2] += g14[ix+i] * g0[iy+i] * g1[iz+i];
s[3] += g13[ix+i] * g2[iy+i] * g0[iz+i];
s[4] += g12[ix+i] * g3[iy+i] * g0[iz+i];
s[5] += g12[ix+i] * g2[iy+i] * g1[iz+i];
s[6] += g13[ix+i] * g0[iy+i] * g2[iz+i];
s[7] += g12[ix+i] * g1[iy+i] * g2[iz+i];
s[8] += g12[ix+i] * g0[iy+i] * g3[iz+i];
s[9] += g11[ix+i] * g4[iy+i] * g0[iz+i];
s[10] += g10[ix+i] * g5[iy+i] * g0[iz+i];
s[11] += g10[ix+i] * g4[iy+i] * g1[iz+i];
s[12] += g9[ix+i] * g6[iy+i] * g0[iz+i];
s[13] += g8[ix+i] * g7[iy+i] * g0[iz+i];
s[14] += g8[ix+i] * g6[iy+i] * g1[iz+i];
s[15] += g9[ix+i] * g4[iy+i] * g2[iz+i];
s[16] += g8[ix+i] * g5[iy+i] * g2[iz+i];
s[17] += g8[ix+i] * g4[iy+i] * g3[iz+i];
s[18] += g11[ix+i] * g0[iy+i] * g4[iz+i];
s[19] += g10[ix+i] * g1[iy+i] * g4[iz+i];
s[20] += g10[ix+i] * g0[iy+i] * g5[iz+i];
s[21] += g9[ix+i] * g2[iy+i] * g4[iz+i];
s[22] += g8[ix+i] * g3[iy+i] * g4[iz+i];
s[23] += g8[ix+i] * g2[iy+i] * g5[iz+i];
s[24] += g9[ix+i] * g0[iy+i] * g6[iz+i];
s[25] += g8[ix+i] * g1[iy+i] * g6[iz+i];
s[26] += g8[ix+i] * g0[iy+i] * g7[iz+i];
s[27] += g7[ix+i] * g8[iy+i] * g0[iz+i];
s[28] += g6[ix+i] * g9[iy+i] * g0[iz+i];
s[29] += g6[ix+i] * g8[iy+i] * g1[iz+i];
s[30] += g5[ix+i] * g10[iy+i] * g0[iz+i];
s[31] += g4[ix+i] * g11[iy+i] * g0[iz+i];
s[32] += g4[ix+i] * g10[iy+i] * g1[iz+i];
s[33] += g5[ix+i] * g8[iy+i] * g2[iz+i];
s[34] += g4[ix+i] * g9[iy+i] * g2[iz+i];
s[35] += g4[ix+i] * g8[iy+i] * g3[iz+i];
s[36] += g3[ix+i] * g12[iy+i] * g0[iz+i];
s[37] += g2[ix+i] * g13[iy+i] * g0[iz+i];
s[38] += g2[ix+i] * g12[iy+i] * g1[iz+i];
s[39] += g1[ix+i] * g14[iy+i] * g0[iz+i];
s[40] += g0[ix+i] * g15[iy+i] * g0[iz+i];
s[41] += g0[ix+i] * g14[iy+i] * g1[iz+i];
s[42] += g1[ix+i] * g12[iy+i] * g2[iz+i];
s[43] += g0[ix+i] * g13[iy+i] * g2[iz+i];
s[44] += g0[ix+i] * g12[iy+i] * g3[iz+i];
s[45] += g3[ix+i] * g8[iy+i] * g4[iz+i];
s[46] += g2[ix+i] * g9[iy+i] * g4[iz+i];
s[47] += g2[ix+i] * g8[iy+i] * g5[iz+i];
s[48] += g1[ix+i] * g10[iy+i] * g4[iz+i];
s[49] += g0[ix+i] * g11[iy+i] * g4[iz+i];
s[50] += g0[ix+i] * g10[iy+i] * g5[iz+i];
s[51] += g1[ix+i] * g8[iy+i] * g6[iz+i];
s[52] += g0[ix+i] * g9[iy+i] * g6[iz+i];
s[53] += g0[ix+i] * g8[iy+i] * g7[iz+i];
s[54] += g7[ix+i] * g0[iy+i] * g8[iz+i];
s[55] += g6[ix+i] * g1[iy+i] * g8[iz+i];
s[56] += g6[ix+i] * g0[iy+i] * g9[iz+i];
s[57] += g5[ix+i] * g2[iy+i] * g8[iz+i];
s[58] += g4[ix+i] * g3[iy+i] * g8[iz+i];
s[59] += g4[ix+i] * g2[iy+i] * g9[iz+i];
s[60] += g5[ix+i] * g0[iy+i] * g10[iz+i];
s[61] += g4[ix+i] * g1[iy+i] * g10[iz+i];
s[62] += g4[ix+i] * g0[iy+i] * g11[iz+i];
s[63] += g3[ix+i] * g4[iy+i] * g8[iz+i];
s[64] += g2[ix+i] * g5[iy+i] * g8[iz+i];
s[65] += g2[ix+i] * g4[iy+i] * g9[iz+i];
s[66] += g1[ix+i] * g6[iy+i] * g8[iz+i];
s[67] += g0[ix+i] * g7[iy+i] * g8[iz+i];
s[68] += g0[ix+i] * g6[iy+i] * g9[iz+i];
s[69] += g1[ix+i] * g4[iy+i] * g10[iz+i];
s[70] += g0[ix+i] * g5[iy+i] * g10[iz+i];
s[71] += g0[ix+i] * g4[iy+i] * g11[iz+i];
s[72] += g3[ix+i] * g0[iy+i] * g12[iz+i];
s[73] += g2[ix+i] * g1[iy+i] * g12[iz+i];
s[74] += g2[ix+i] * g0[iy+i] * g13[iz+i];
s[75] += g1[ix+i] * g2[iy+i] * g12[iz+i];
s[76] += g0[ix+i] * g3[iy+i] * g12[iz+i];
s[77] += g0[ix+i] * g2[iy+i] * g13[iz+i];
s[78] += g1[ix+i] * g0[iy+i] * g14[iz+i];
s[79] += g0[ix+i] * g1[iy+i] * g14[iz+i];
s[80] += g0[ix+i] * g0[iy+i] * g15[iz+i];
}
gout[n*1+0] = + s[0] + s[36] + s[72] + s[4] + s[40] + s[76] + s[8] + s[44] + s[80];
}}
void int2e_pp1pp2_optimizer(CINTOpt **opt, int *atm, int natm, int *bas, int nbas, double *env) {
int ng[] = {1, 1, 1, 1, 4, 1, 1, 1};
CINTall_2e_optimizer(opt, ng, atm, natm, bas, nbas, env);
}
CACHE_SIZE_T int2e_pp1pp2_cart(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp1pp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp1pp2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_cart_2e1);
} // int2e_pp1pp2_cart
CACHE_SIZE_T int2e_pp1pp2_sph(double *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp1pp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp1pp2_simd1;
return CINT2e_drv(out, dims, &envs, opt, cache, &c2s_sph_2e1);
} // int2e_pp1pp2_sph
CACHE_SIZE_T int2e_pp1pp2_spinor(double complex *out, int *dims, int *shls,
int *atm, int natm, int *bas, int nbas, double *env, CINTOpt *opt, double *cache) {
int ng[] = {1, 1, 1, 1, 4, 1, 1, 1};
CINTEnvVars envs;
CINTinit_int2e_EnvVars(&envs, ng, shls, atm, natm, bas, nbas, env);
envs.f_gout = &CINTgout2e_int2e_pp1pp2;
envs.f_gout_simd1 = &CINTgout2e_int2e_pp1pp2_simd1;
return CINT2e_spinor_drv(out, dims, &envs, opt, cache, &c2s_sf_2e1, &c2s_sf_2e2);
} // int2e_pp1pp2_spinor
ALL_CINT(int2e_pp1pp2)
//ALL_CINT_FORTRAN_(cint2e_pp1pp2)
